-----------------
--- TI-Basket ---
---- Adriweb ----
-----------------
-- Contact : adrienbertrand@msn.com
-----------------
-- Version 2.1 --
-----------------
-- Thanks go Jimbauwens, Levak, ldebroux, John Powers, Todd Wostrel
-- Ti-Planet, Omnimaga, Cemetech and everybody else I forgot :P
-----------------

-- TODO :
-- Redo using on.paint's gc only
-- Improve to support the Computer view in the software

-- 'Globals'

platform.apilevel = "1.0"
            
device = { api, hasColor, isCalc, theType, lang }
device.hasColor = platform.isColorDisplay()
device.lang = locale.name()
power = 50
pi = 3.1416
angle = pi/4
xcoord = 0
ycoord = 0
cstGrav = 9.81
tablex = {0}
tabley = {0}
valtmp = 1
mass = 2
kx = 0.00001 -- min : -0.5, default : 0.00001, max = 0.5
ky = 0.00001 -- min : -0.5, default : 0.00001, max = 0.5
mustGo = false
isRunning = false
win = false
goingup = true
hardcoreMode = false
needMenu = true
tmpsignx = 1
tmpsigny = 1
alwaysMove = false
needScore = false
score = 0
tries = 0
accuracy = 0
timeattack = false
startTime = 0
timeleft = -1
gameover = false

-- End 'Globals'


-- From BetterLuaAPI

function timeNow()
	return timer.getMilliSecCounter()
end

function drawPoint(x, y)
	myGC:setPen("thin", "smooth")
	myGC:drawLine(x, y, x, y)
end

function drawCircle(x, y, diameter)
	myGC:drawArc(x - diameter*0.5, y - diameter*0.5, diameter,diameter,0,360)
end

function drawCenteredString(str)
	myGC:drawString(str, (pww() - myGC:getStringWidth(str))*0.5, pwh()*0.5, "middle")
end

function drawSquare(x,y,l)
	myGC:drawPolyLine({(x-l*0.5),(y-l*0.5), (x+l*0.5),(y-l*0.5), (x+l*0.5),(y+l*0.5), (x-l*0.5),(y+l*0.5), (x-l*0.5),(y-l*0.5)})
end

function drawRoundRect(x,y,width,height,radius)
	x = x-width*0.5  -- let the center of the square be the origin (x coord)
	y = y-height*0.5 -- same for y coord
	if radius > height*0.5 then radius = height*0.5 end -- avoid drawing cool but unexpected shapes. This will draw a circle (max radius)
	myGC:drawLine(x + radius, y, x + width - (radius), y);
	myGC:drawArc(x + width - (radius*2), y + height - (radius*2), radius*2, radius*2, 270, 90);
	myGC:drawLine(x + width, y + radius, x + width, y + height - (radius));
	myGC:drawArc(x + width - (radius*2), y, radius*2, radius*2,0,90);
	myGC:drawLine(x + width - (radius), y + height, x + radius, y + height);
	myGC:drawArc(x, y, radius*2, radius*2, 90, 90);
	myGC:drawLine(x, y + height - (radius), x, y + radius);
	myGC:drawArc(x, y + height - (radius*2), radius*2, radius*2, 180, 90);
end

function fillRoundRect(x,y,width,height,radius)  -- renders badly when transparency (alpha) is not at maximum >< will re-code later
	if radius > height*0.5 then radius = height*0.5 end -- avoid drawing cool but unexpected shapes. This will draw a circle (max radius)
    myGC:fillPolygon({(x-width*0.5),(y-height*0.5+radius), (x+width*0.5),(y-height*0.5+radius), (x+width*0.5),(y+height*0.5-radius), (x-width*0.5),(y+height*0.5-radius), (x-width*0.5),(y-height*0.5+radius)})
    myGC:fillPolygon({(x-width*0.5-radius+1),(y-height*0.5), (x+width*0.5-radius+1),(y-height*0.5), (x+width*0.5-radius+1),(y+height*0.5), (x-width*0.5+radius),(y+height*0.5), (x-width*0.5+radius),(y-height*0.5)})
    x = x-width*0.5  -- let the center of the square be the origin (x coord)
	y = y-height*0.5 -- same
	myGC:fillArc(x + width - (radius*2), y + height - (radius*2), radius*2, radius*2, 1, -91);
    myGC:fillArc(x + width - (radius*2), y, radius*2, radius*2,-2,91);
    myGC:fillArc(x, y, radius*2, radius*2, 85, 95);
    myGC:fillArc(x, y + height - (radius*2), radius*2, radius*2, 180, 95);
end

function pww()
	return platform.window:width()
end

function pwh()
	return platform.window:height()
end

function test(arg)
	return arg and 1 or 0
end

function refresh()
	platform.window:invalidate()
end

-- End BetterLuaAPI

function newXCoord(oldCoord)
	return (not platform.isDeviceModeRendering()) and oldCoord*pwwRatio or oldCoord
end

function newYCoord(oldCoord)
	return (not platform.isDeviceModeRendering()) and oldCoord*pwhRatio or oldCoord
end

function on.paint(gc)
	if not myGC then myGC = gc end
	gc:setColorRGB(0,0,0)
	-- gc:drawString("memory usage=" .. tostring(collectgarbage("count")*1024) .. " bytes", 10, 10, "top")
		
	if (needMenu) then
		menu(gc)
	else
		gc:drawString(" Ti-Basket - Adriweb 2011",0,0,"top")
		drawBackground(gc) -- floor color etc.
		
		gc:drawImage(theguyImage,0,pwh()-image.height(theguyImage))
		if not isRunning then
			gc:drawImage(theballImage,14,pwh()-image.height(theguyImage)-2)
		end
		gc:setColorRGB(0,0,255)
		gc:drawLine(0,pwh(),power*math.cos(angle),pwh()-power*math.sin(angle))
		-- tracing the "arrow" at the origin
		gc:setColorRGB(0,0,0) -- Black
		timer.start(0.01) -- animations
		
		mainStuff(gc)
		
		if gameover then
			mustGo = false
			isRunning = false
			alwaysMove = false
			xmax = pww()
			gc:setColorRGB(150,150,150)
			drawRoundRect(xmax*0.5,109,101,23,5)
			gc:setColorRGB(50,50,50)
			fillRoundRect(xmax*0.5,109,100,21,5)
			gc:setColorRGB(255,255,255)
			drawCenteredString("Time's up !")
			refresh()
		end
		
	end
		
	if win then
		goWin(gc)
	end
	
end

function drawBackground(gc)
	gc:setColorRGB(255,150,80)
	gc:fillRect(0,newYCoord(165),pww(),newYCoord(165))
	gc:setColorRGB(255,255,255)
	gc:drawArc(pww()*0.5-60,pwh()-30, 120,80,0,180)
end

function goWin(gc)
	if needScore then
	score = score + 1
	end
	needScore = false
	xmax = pww()
	if not timeattack then
		gc:setColorRGB(150,150,150)
		drawRoundRect(xmax*0.5,newYCoord(108),101,23,5)
		gc:setColorRGB(50,50,50)
		fillRoundRect(xmax*0.5,newYCoord(108),100,21,5)
		gc:setColorRGB(255,255,255)
		drawCenteredString("You Win !")
	else
		on.arrowKey("left")
	end
	refresh()
end

function mainStuff(gc)
	gc:drawString(" Score : " .. score .. " - Attempts : " .. tries,0,17,"top")
	accuracy = (100 * score / tries)
	if tries ~= 0 then
		gc:drawString(" Accuracy : " .. math.floor(accuracy+0.5) .. "%",0,33,"top")
	end
		
	if timeattack then
		gc:setColorRGB(255,0,0)
		tmpstr = " Time Left : " .. timeleft .. "s."
		gc:drawString(tmpstr,pww()-gc:getStringWidth(tmpstr)-1,0,"top")
		gc:setColorRGB(0,0,0)
	end

	kxp = math.floor(kx*200) -- converts the wind x values into %
	kyp = math.floor(ky*200) -- same for y values

	gc:setColorRGB(0,0,0)
	gc:drawLine(posxmin,hauteur,posxmax-2,hauteur) -- tracé du panier (horiz)
	gc:drawLine(posxmax-2,hauteur-10,posxmax-2,hauteur+35) -- tracé du panier (vertical)
	gc:drawLine(posxmax-3,hauteur-10,posxmax-3,hauteur+35)

	gc:drawLine(posxmin,hauteur,posxmin+4,hauteur+9)
	gc:drawLine(posxmax-4,hauteur,posxmax-8,hauteur+9)
	gc:drawLine(posxmax-22,hauteur,posxmax-20,hauteur+9)
	gc:drawLine(posxmax-16,hauteur,posxmax-16,hauteur+9)
	gc:drawLine(posxmax-9,hauteur,posxmax-13,hauteur+9)

	gc:drawLine(posxmin+2,hauteur+3,posxmax-6,hauteur+3)
	gc:drawLine(posxmin+3,hauteur+6,posxmax-7,hauteur+6)
	gc:drawLine(posxmin+4,hauteur+9,posxmax-8,hauteur+9)

	str = "Angle = " .. math.floor(angle*180/pi+0.1) .. "°  /  Power = " .. power .. " "	
	gc:drawString(str,pww() - gc:getStringWidth(str),pwh(),"bottom")
	
	if (hardcoreMode and not win) then
	
		if (math.random(1,2)>1) then
			tmpsignx = 1
		else
			tmpsignx = -1
		end
		if (math.random(1,2)>1) then
			tmpsigny = 1
		else
			tmpsigny = -1
		end	
		if (kx > 0.4) then
			tmpsignx = -1 
		elseif (kx < -0.4) then
			tmpsignx = 1
		end
		if (ky > 0.4) then
			tmpsigny = -1 
		elseif (ky < -0.4) then
			tmpsigny = 1
		end

		if (math.random(0,10) > 9) then
		kx = kx + tmpsignx*math.random(0,3)*0.01
		end
		if (math.random(0,10) > 9) then
		ky = ky + tmpsigny*math.random(0,3)*0.01
		end
	
		str2 = "Wind : x=" .. kxp .. "%  y=" .. kyp .. "% "
	
		gc:drawString(str2,pww() - 	gc:getStringWidth(str2),pwh()-14,"bottom")
		
		moveBasket(gc)
				
	end

	if mustGo then
		for j=1,valtmp do
			drawPoint(tablex[j],pwh()-tabley[j])
			
			if j%2 == 0 then
			gc:drawImage(theballImage,tablex[valtmp]-4,pwh()-tabley[valtmp]-1)
			gc:setColorRGB(0,0,0)
			end
			isRunning = true
			if (math.abs(pwh()-tabley[j]-hauteur)<10 and (tablex[j]>285) and not win) then
				needScore = true
				win = true
			end
		end
	end
	
	refresh()
end

function moveBasket()
	hauteur = hauteur - 1 + 2*test(goingup)
	if (hauteur < newYCoord(45)) then
		hauteur = newYCoord(45)
		goingup = not(goingup)
	end
	if (hauteur > newYCoord(135)) then
		hauteur = newYCoord(135)
		goingup = not(goingup)
	end
	refresh()
end

function on.timer()

	timer.stop()
	
	if (hardcoreMode and win == false and alwaysMove) then
	moveBasket()
	end
	
	if timeattack then
		local addTime = math.floor((math.abs(timeNow()) - math.abs(startTime))*0.001)
		timeleft = 60-addTime+2*addTime*test(not platform.isDeviceModeRendering())
		if math.abs(math.floor(timeleft)) == 0 then gameover = true end
		refresh()
	end
	
	if valtmp < #tablex-1 then
		valtmp = valtmp + 5
	end
	if valtmp > #tablex-2 then
		isRunning = false
		mustGo = false
	else
		refresh()
	end
end

function on.charIn(ch)
	if needMenu then
		if ch == "1" then
			hardcoreMode = false
			kx = 0.00001
			ky = 0.00001
			needMenu = false
		end
		if ch == "2" then
			hardcoreMode = true
			needMenu = false
		end
		if ch == "3" then
			hardcoreMode = false
			timeattack = true
			kx = 0.00001
			ky = 0.00001
			needMenu = false
			startTime = timeNow()
		end
		if ch == "4" then
			hardcoreMode = true
			timeattack = true
			kx = 0.00001
			ky = 0.00001
			needMenu = false
			startTime = timeNow()
		end
	end
	if ch == "m" then
		alwaysMove = not(alwaysMove)
	end
	refresh()
end

function on.arrowKey(key)
	if win then
		hauteur = math.random(45,135)
	end

	win = false	
	if (isRunning == false) then

	valtmp = 1
	mustGo = false
	
if not(gameover) then
	
	if (angle > 0 and angle < pi/2) then
		if (key == "left" and angle < 1.54) then
			angle = angle+pi/180
		elseif (key == "right" and angle > 0.03) then
			angle = angle-pi/180
		end
	end
	
	if (power > 0 and power < 101) then
		if (key == "up") then
			power = power+1
			if power > 100 then power = 100 end
		elseif (key == "down") then
			power = power-1
			if power < 1 then power = 1 end
		end
	end	
	
	refresh()
end
	
	end --isRunning
end

function on.enterKey()
    if not(gameover) then
        if (win == false) then
        if (isRunning == false) then
            win = false
            mustGo = true
            go(power,angle)
        end
        else
            if (score > 0 and needScore) then score = score - 1 end -- dirty bug fix
        end
    end
end

function on.escapeKey()
	isRunning = false
	mustGo = false
	needMenu = true
	refresh()
end

function on.resize()
    device.isCalc = (platform.window:width() < 320)
    device.theType = platform.isDeviceModeRendering() and "handheld" or "software"
 
	pwwRatio = pww()/318
	pwhRatio = pwh()/212
	-- do not change
	
	posxmin = newXCoord(285)
	posxmax = newXCoord(313)
	
	if mustGo then needMenu = true refresh() end
end

function on.create()
	-- need todo more stuff here
	hauteur = 70
	on.resize()
end

function go(power,angle)
	tries = tries + 1
	j=1
	valtmp=1
	refresh()
	cosangle = math.cos(angle)
	tanangle = math.tan(angle)
	powcosangle = power*cosangle
	powsinangle = power*math.sin(angle)
	mgsurky = mass * cstGrav / ky
	tablex = {0}
	tabley = {0}
	local t,maximum
	tmax = mass/kx*math.log(1+kx*newXCoord(312)/(mass*powcosangle))
	maximum = 80+80*test(not platform.isDeviceModeRendering()) -- maximum points
	
	for i=1,maximum do
		t = i*tmax/maximum
		tablex[i] = mass*powcosangle/kx*(math.exp(kx/mass*t)-1)
		tabley[i] = mgsurky*t + mass/ky*(powsinangle-mgsurky)*(math.exp(t*(ky/mass))-1)

		if (tabley[i] < 0 or tablex[i] ~= tablex[i]) then break end  --  (x ~= x) is a test for NaN
	end
		                         
	var.store("tablex",tablex)
	var.store("tabley",tabley)
	
	var.store("zoomxmin",tablemin(tablex))
	var.store("zoomxmax",tablemax(tablex))
	var.store("zoomymin",tablemin(tabley))
	var.store("zoomymax",tablemax(tabley))
	
	math.eval("QuartReg tablex,tabley,1: CopyVar stat.RegEqn,f1")
	
	refresh()
end

function tablemax(tab)
   local m = 0
   for _, v in pairs(tab) do
   if v > m then 
      m = v
   end
   end
   return m
end 

function tablemin(tab)
   local m = tablemax(tab)
   for _, v in pairs(tab) do
   if v < m then 
      m = v
   end
   end
   return m
end

function menu(gc)
	win = false
	gameover = false
	timeattack = false
	
	score = 0
	tries = 0

	local xmax,ymax

	xmax = pww()
	ymax = pwh()
	
	gc:drawImage(theLogoImage,0.5*(xmax-image.width(theLogoImage)),0)
	
	--gc:setColorRGB(0,0,0)
	--gc:fillRect(xmax/5, ymax/5,3*xmax/5,3*ymax/5)
		
	--gc:setColorRGB(200,200,200)
	--gc:fillRect(xmax/5+1, ymax/5+1,3*xmax/5-2,3*ymax/5-2)
	
	gc:setColorRGB(0,0,0)
	--gc:drawString("Choose  Mode : ",xmax*0.5-46,pwh()/2-10,"top")
		
	makeButton(gc,"1.  Normal",xmax*0.5,ymax/2-26+40)
	makeButton(gc,"2.  Hardcore",xmax*0.5,ymax/2+40)
	makeButton(gc,"3.  Time-Attack",xmax*0.5,ymax/2+26+40)
	
	gc:setColorRGB(100,100,100)
	tmpstr = "Arrows to adjust angle/power -  Enter to Shoot"
	gc:drawString(tmpstr,0.5*(xmax-gc:getStringWidth(tmpstr)),196,"bottom")

	tmpstr2 = "Esc to go to this Menu"
	gc:drawString(tmpstr2,0.5*(xmax-gc:getStringWidth(tmpstr2)),210,"bottom")
	
	refresh()
end

function on.help()
	needMenu = true
	refresh()
end

function makeButton(gc,string,x,y)
	gc:setColorRGB(150,150,150)
	drawRoundRect(x,y,140,20,5)
	gc:setColorRGB(50,50,50)
	fillRoundRect(x,y,139,18,5)
	gc:setColorRGB(255,255,255)
	gc:drawString(string,x-gc:getStringWidth(string)*0.5,y-12,"top")
end


ballImage = "\020\0\0\0\016\0\0\0\0\0\0\0\040\0\0\0\016\0\001\0wwwwwwwwwwwwwwk\238k\238\131\156\131\156k\238k\238wwwwwwwwwwwwwwwwwwwwwwwwk\238k\238k\238k\238\131\156\131\156k\238k\238k\238k\238wwwwwwwwwwwwwwwwwwk\238k\238k\238k\238\131\156\131\156\131\156k\238k\238k\238k\238k\238wwwwwwwwwwwwwwww\196\160\196\160k\238k\238\131\156\131\156k\238k\238k\238\228\164\228\164\196\160wwwwwwwwwwwwww\196\160\196\160\196\160\196\160\196\160\131\156\131\156\196\160\228\164\196\160\196\160\196\160\196\160\196\160wwwwwwwwwwwwk\238\196\160\196\160\196\160\196\160\131\156\131\156\196\160\196\160\196\160\196\160\196\160\196\160k\238wwwwwwwwwwk\238k\238k\238\196\160\196\160\196\160\196\160\196\160\196\160\196\160\196\160\196\160\196\160k\238k\238k\238wwwwwwwwk\238k\238k\238k\238k\238k\238\131\156\131\156k\238k\238k\238k\238k\238k\238k\238k\238wwwwwwwwk\238k\238k\238k\238k\238k\238\131\156\131\156k\238k\238k\238k\238k\238k\238k\238k\238wwwwwwwwk\238k\238k\238k\238k\238k\238\131\156\131\156k\238k\238k\238k\238k\238k\238k\238k\238wwwwwwwwwwk\238\163\156\163\156\196\160\196\160\196\160\196\160\196\160\196\160\196\160\163\156\163\156k\238k\238wwwwwwwwwwww\196\160\196\160\196\160\196\160\196\160\196\160\196\160\196\160\196\160\196\160\163\156\163\156\163\156\163\156wwwwwwwwwwwwww\196\160\196\160\163\156k\238\131\156\131\156k\238k\238\196\160\196\160\196\160\196\160wwwwwwwwwwwwwwwwk\238k\238k\238k\238\131\156\131\156k\238k\238k\238k\238k\238k\238wwwwwwwwwwwwwwwwwwk\238k\238k\238k\238\131\156\131\156k\238k\238k\238k\238wwwwwwwwwwwwwwwwwwwwwwwwk\238k\238\131\156\131\156k\238k\238wwwwwwwwwwwwww"
guyImage = "\022\0\0\0\052\0\0\0\0\0\0\0\044\0\0\0\016\0\001\0wwwwwwwwZ\235R\202\140\177k\173\016\194wwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwww\016\194!\132\0\128\0\128*\165\247\222wwwwwwww\198\152\230\160wwwwwwwwwwwwwwwwwwww\008\161!\132\034\136B\136B\136\239\189Z\235wwwwww\008\161\165\148B\140wwwwwwwwwwwwwwww\156\243)\165!\132\034\132\034\132\166\148\181\214wwwwwwwwk\173\165\148\0\128c\140wwwwwwwwwwwwwwww\239\189B\136\034\132\034\132)\165\206\185wwwwww\239\189\008\161\0\128\0\128\165\148wwwwwwwwwwwwwwww\173\181B\136\034\132\034\136\132\144K\169\239\1891\1981\198)\165!\132\001\128!\132\199\152wwwwwwwwwwwwww\206\185c\140!\132C\136B\136B\136B\136c\140\140\1771\198\132\144\0\128\034\132B\136J\169wwwwwwwwwwwwww\140\177!\132B\136C\136B\136B\136B\136B\136C\136B\136\034\132B\136\034\136\133\144s\206wwwwwwwwwwwwwwJ\169\034\136B\136B\136B\136B\136B\136B\136\034\136\034\132C\140C\136\0\128\132\144<\231wwwwwwwwwwwwwwJ\169!\132\034\132B\136B\136B\136B\136B\136B\136B\136B\136!\132B\136\173\181wwwwwwwwwwwwwwww\173\181!\132\034\136B\136B\136B\136B\136B\136B\136\132\144B\136\034\136\008\161\173\181wwwwwwwwwwwwwwww\173\181!\132B\136B\136B\136B\136B\136\034\136C\136C\136\034\132k\1739\231wwwwwwwwwwwwwwwwww\016\194c\140\034\132B\136B\136B\136B\136B\136\034\132\132\144\239\189{\239wwwwwwwwwwwwwwwwwwww9\231\231\156!\132B\136C\136B\136B\136\034\132!\132k\173wwwwwwwwwwwwwwwwwwwwwwwwwwk\173!\132\034\132B\136B\136B\136\034\132\199\156\148\210wwwwwwwwwwwwwwwwwwwwwwwwwwk\173!\132\034\132B\136B\136\034\132B\136\206\185wwwwwwwwwwwwwwwwwwwwwwwwwwww\207\185c\140\034\132C\136B\136\034\132B\136\173\181\247\222wwwwwwwwwwwwwwwwwwwwwwwwwws\206\199\156\034\132B\136B\136B\136!\132\231\156\173\181wwwwwwwwwwwwwwwwwwwwwwwwwwwwk\173B\136\034\132B\136C\136\001\128\132\144\140\177wwwwwwwwwwwwwwwwwwwwwwwwwwww\173\181\034\132\034\132B\136B\136\001\132C\136s\206wwwwwwwwwwwwwwwwwwwwwwwwww{\239)\165!\132B\136B\136B\136B\136!\132*\165\247\222wwwwwwwwwwwwwwwwwwwwwwww\140\177C\136\034\132C\136B\136B\136B\136\034\136\0\128\198\152\181\214wwwwwwwwwwwwwwwwwwwwww)\165\034\132\034\132C\136B\136B\136B\136B\136\034\136\0\128\165\148\215\218wwwwwwwwwwwwwwwwwwww\008\161B\136\034\132B\136B\136B\136C\136B\136B\136B\136\0\128\165\148\024\227wwwwwwwwwwwwwwwwww)\165\034\136\034\132C\136B\136B\136B\136B\136C\136C\136B\136\001\128\198\152Z\235wwwwwwwwwwwwwwwwk\173B\136\034\136B\136\034\136C\136B\136B\136\034\136\034\136B\136B\136\001\128\165\148wwwwwwwwwwwwwwww\016\194d\140!\132B\136C\136B\136B\136C\136B\136B\136B\136B\136B\136B\136\207\185wwwwwwwwwwwwwwwwJ\169!\132\034\136B\136C\136C\136C\136B\136B\136C\136B\136B\136\034\132\132\144\025\227wwwwwwwwwwwwww\016\194c\140\034\132B\136\034\136C\136B\136!\132!\132!\132B\136C\140B\136!\132\132\144\156\243wwwwwwwwwwwwZ\235\232\160!\132B\136B\136\034\132C\140\133\148c\140\001\132\0\128!\132c\140B\136\034\132J\169wwwwwwwwwwwwww\206\185c\140\034\132C\140\034\136\034\136J\169wwwwk\173\0\128\001\128C\136\034\132B\136\206\185wwwwwwwwwwww\156\243\231\156\001\128B\136\034\136!\132l\177wwww\214\2182\198B\136\034\132B\136!\132)\165wwwwwwwwwwwwww\148\210\199\152B\136!\132!\132\206\185wwwwwwww1\198\001\128B\136!\132\008\161wwwwwwwwwwwwww\181\214)\165c\140!\132!\132\173\181wwwwww\174\181K\173\0\128B\136B\136\173\181wwwwwwwwwwwwwwww\024\227\232\156\0\128!\132\173\181wwwwww\017\194\034\132!\132B\136\132\1449\231wwwwwwwwwwwwwwww{\239\199\152\0\128!\132\172\181wwwwww\148\210\001\128B\136!\132\231\156wwwwwwwwwwwwwwww\016\194\198\152C\136\0\128c\140s\206wwwwww1\198\001\128\034\136c\140\016\194wwwwwwwwwwwwww\016\194B\136!\132\0\128c\140J\169\148\210wwww\148\210\174\181\0\128B\136\132\144\148\210wwwwwwwwwwww\024\227\165\148!\132\0\128c\140k\173\206\185wwwwwwR\202l\177\0\128B\136\231\156wwwwwwwwwwwwwwl\173B\136\0\128\132\144\173\181\140\177wwwwwwww\016\194k\173\0\128c\140\247\222wwwwwwwwwwww\181\214\165\148\0\128\132\144\206\185wwwwwwwwwwww\174\181J\169\0\128\008\161wwwwwwwwwwww\174\181\231\156\0\128\132\144\240\189wwwwwwwwwwwwww1\198\165\148B\136\214\218wwwwwwwwJ\169\132\144\009\161!\132\165\148R\202wwwwwwwwwwwwwwww\247\222!\132\198\152wwwwwwwws\206\165\148\132\144\0\128\165\148\214\218wwwwwwwwwwwwwwww\024\227\206\185B\1361\198wwwwwwww\165\148\0\128B\136\0\128\016\194\181\214wwwwwwwwwwwwww\016\194\173\181B\136\132\144wwwwwwwwww)\165!\132!\132B\136R\202\247\222wwwwwwwwwwwws\206\206\185\231\156\0\128\133\144Z\235wwwwwwwwk\173!\132!\132\239\189\214\218wwwwwwwwwwww\247\222\016\194\132\144\0\128\034\132C\136\173\181wwwwwwwwc\140\0\128\132\144:\231wwwwwwwwwwwwww\247\222J\169\0\128\034\132C\136\034\132\232\156wwwwwwww\001\132\001\128\165\148\181\214wwwwwwwwwwwwww\247\222R\202\198\152B\136!\132\034\132d\144\214\218wwwwwwc\140\0\128\198\152\198\152wwwwwwwwwwwwwwwwww\016\194s\206\165\148\0\128!\132\165\1489\231wwwwR\202B\136\231\156)\165wwwwwwwwwwwwwwwwwwwwww9\231\231\156!\132!\132\008\161wwwwww1\198\148\210\181\214wwwwwwwwwwwwwwwwwwwwwwwwww\148\210\231\156\198\152wwww"
logoImage = ">\001\0\0f\0\0\0\0\0\0\0|\002\0\0\016\0\001\0\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\254\255\254\255\254\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\251\255\255\255\251\255\255\255\255\255\255\255\251\255\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\247\190\247\092\239:\235:\235\157\247\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\254\251\254\255\254\255\254\255\255\255\255\255\255\255\255\255\255\255\223\255\190\251\158\247}\239\026\231\151\214U\206\206\185*\169\199\156\134\152\166\156*\169\025\231\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\255\223\251\190\247}\239<\235\218\222v\210\209\193L\173\231\160\164\152\130\144a\144d\144\133\152\010\173l\185K\181D\148\141\189:\243\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\190\251\157\243~\243;\235\248\222\149\210\016\194k\173\231\160\165\148a\144a\144b\144\133\152\233\160M\177\177\189\243\197S\206t\214S\214\241\205S\218\199\168\166\164\181\226\189\247\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\222\255\190\251\157\247[\239\025\231\149\214\017\198\174\185\009\165\199\156c\144B\140B\140\132\148\231\160I\173\241\197\019\202T\206u\210t\210S\206\017\202\240\197\141\181\141\185\232\168\166\1602\214\141\189\132\1562\214{\239\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255|\239\247\222\017\202\141\185\009\169\166\156e\148D\144D\144e\148\232\160*\169\141\185\241\197T\210U\210U\2105\2101\202\239\193\173\185k\177)\169\231\160\197\152\164\148c\140\132\144\034\140\034\144\239\201\207\197\132\156\239\201\024\227\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255{\239\240\193\166\148d\148d\148\199\160L\181\207\193\241\197\018\206T\214v\214u\2143\210\240\197\142\189K\181)\173\231\164\231\160\165\152c\144!\136\001\132\001\132\0\128\0\128\0\128\0\128\0\132!\140\173\189\239\201\132\152\140\189\247\222\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\251\255\251\255\255\255\251\255\251\255\255\255\255\255\251\223\247\223\247\156\239Z\231\214\218t\210u\214\176\193\150\226[\247\255\255\255\251\255\255\183\222D\148l\1777\206w\214T\206t\210S\210\207\197l\189j\193I\177\230\160\231\160\164\148\131\140b\136!\132B\132A\136\0\128\0\128\0\128 \136!\136C\144b\148\134\156\231\156A\132B\136\009\169R\210c\156\010\185\215\218\190\247\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\251\255\255\255\255\255\251\223\255\223\255\223\251\190\247\158\247;\235\249\226u\210\242\193\209\189*\169\166\152C\144C\148\232\168+\181\167\164\140\193[\239\255\255\222\251U\214\166\164T\210\176\201*\181)\177(\169\232\164*\169\009\169\132\152B\144!\140c\144 \132!\132b\136!\132!\132c\144\132\144\133\148\007\165)\173\141\189\240\197\016\2062\2102\206\198\152\001\136\231\164t\214\166\164\199\176\149\210\157\243\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\251\255\255\255\255\255\255\255\255\255\255\255\251\255\255\255\251\223\251\190\251\223\251[\235\248\230\149\218\241\201l\181\009\169\166\156\133\156C\148#\152\133\160\198\164*\177\207\193\241\1973\206\151\218\175\189\166\172U\214\188\243\222\2515\210d\1642\202\241\197\231\164i\177\007\165\197\156)\169I\173\131\148C\148\132\152\231\164\133\152c\144c\140!\132!\132c\148\141\1852\206s\214\016\202\241\201\207\193\172\189J\185t\214\011\169\001\140\133\156\018\206\009\177\164\172S\206|\239\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\251\255\255\223\255|\243\025\231\249\230\018\202\208\193\142\189\142\189\011\173\201\164\234\168\200\160\010\173\142\189\175\189\241\1974\206T\206\149\214S\210\240\201\173\193K\189\140\197V\210B\164\143\193\023\227\254\251\219\230\133\172\208\193U\210\009\169)\173\164\156c\148d\152\166\164\165\164*\177l\185\207\197\240\197J\177c\144\0\128\0\128B\144\207\193\018\206)\177\165\160\134\156\133\152c\148a\152T\214M\177\001\140C\152\209\197m\189\130\1642\198[\235\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\251\255\255\255\255\255\255\255\251\255\255\255\255\255\255\255\255\255\251\255\251\255\255\223\255\149\210Z\235\183\222+\173\134\152\134\156\010\173\234\172n\189\208\201u\2143\206\150\218T\210T\210t\214\017\202\240\193\172\189(\173J\173\231\160\199\156K\173\010\173\010\173v\210\132\172\177\201\213\222\189\243\252\234c\168l\185S\210\165\156b\144\132\148\142\181\242\1935\202v\210t\2182\206\207\1972\214\207\197C\144\0\128\0\128!\144\174\189\240\201C\152\232\168\142\189\208\193\173\185a\156\241\201\143\189\165\160\008\1734\210\143\193b\160\240\193\025\227\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\251\255\255\223\251\222\247\189\247\223\251{\239}\251\255\255\255\255\255\251\222\251\182\222\232\1642\198\190\247\150\214\174\185\018\198t\214\150\2223\2143\214S\210\017\198\240\193\140\181J\173I\169(\165\164\148*\165\198\148\009\161\166\152\165\152)\177\230\172\131\164v\210\199\176\012\189\148\214\222\247=\239\131\160\009\181U\210\166\156\034\144\199\164\019\210\020\210o\189M\185\009\169\167\160C\148m\1892\206\133\152\0\128\0\128\0\136K\1773\210\132\156K\181\018\206u\210\017\194\131\160K\185\150\222t\2222\214\018\206\199\160c\152\207\185\248\222\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\251\223\251\255\255\190\251\255\255\157\247\191\251\026\231T\206\149\214S\2063\206\200\160\176\201[\243\255\251\255\255\157\247\141\189+\177t\210\025\227\249\226\150\2142\2063\210\175\197\233\172d\1564\210\176\193m\185\167\156\034\140B\144\131\148 \136\131\156c\152c\152d\148\009\169\174\193*\181\166\1645\206l\185\134\176R\206\255\247~\247\008\165\166\172w\206L\173\231\160\008\173\241\205\175\197d\156\231\168\142\185\141\185e\152\010\177S\214\198\156\0\128\0\128 \136\231\164S\214\166\160\232\1683\206:\231{\235)\181d\152\232\168\199\168\133\156d\148\133\152\141\185\017\194\024\227\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\251\247\222\149\210\248\222\149\210[\235\150\222\018\206\200\164\200\1643\210\208\1973\210\142\189e\160t\214\157\243\255\255\025\235\134\156\208\197\150\218\216\222u\214L\181\232\168\141\193\241\209\141\197+\189\208\201l\189\174\193\166\160\0\136b\148\130\148a\144\165\164k\185l\189l\185\240\205\207\201\008\181\164\168\210\197\150\218+\2011\206{\231\159\251\238\185\199\1843\214K\185\165\164\131\160\174\197\207\197c\148\205\1892\202u\214\010\173\232\168S\210\231\160!\132\131\136A\140\133\152S\214\009\173\198\160T\206|\235\255\247\248\238J\181\198\164\232\168K\181\141\185\207\189\240\197t\206:\235\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\254\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\251\255\255\255\255\255\255\255\255\255\255\223\255\255\251\255\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\251\191\255\223\243\190\243|\239;\239\255\255\255\247\255\255\255\255\222\251\223\243\150\202U\206\184\218\216\218:\223t\198\216\218\183\218u\210\151\218\184\222U\210\249\222+\197\207\197\025\227\223\255\092\247\010\1652\194\150\210\175\197t\214l\189\133\164\173\185R\210\209\213n\201\209\193n\193\166\168\232\172L\185n\185\208\193\017\206T\2023\202T\206\017\2022\210\165\164c\160B\156\142\193\241\209\135\168\207\197{\235\189\243S\214$\160\019\210\208\197e\156\200\168m\1892\214\133\160K\185s\202\248\222\144\185b\172T\210\010\173b\140\0\128\001\132\130\1483\206\140\185c\156\242\209Y\231\255\255\190\247\248\226S\2021\198\017\198\017\198S\202\149\210{\239\223\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\254\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\251\190\251\157\247:\235\025\231\215\222\018\202\207\185\009\165\199\156\233\1683\206\156\243\255\255\223\255\157\247\018\194\216\218\250\226\216\222\216\222t\210:\2313\202\248\222S\202\209\197\209\201\010\169u\206\010\193\232\172\215\222\222\247\223\255\183\222u\210\182\214\175\189S\206\141\189\198\160J\169J\177\010\181\143\2014\206u\218S\218t\222T\2183\210\240\197\141\193\007\177\198\172\198\172\009\177T\218\143\189\143\189\209\193T\218\208\205\233\176\240\197\024\227\222\247\247\230D\160\240\193\183\2222\206t\214u\218\018\210d\152\174\197\180\210\157\2434\206b\1684\210l\181B\140\0\128\001\132a\144\241\197\207\193c\160\176\201\024\223\255\251\255\255\189\247:\231\024\227\025\227:\231|\239\190\247\223\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\254\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\222\251\255\255\255\255\157\247\216\222\017\198\207\189l\177\200\160\166\156e\148e\152\200\168+\181\142\189+\181\167\168\208\201\157\251\255\255\025\231\199\160\150\222\150\218L\177m\185\017\206\018\206\241\201:\2353\202\143\193\235\184\167\164\182\210M\201\134\172t\214\189\243\189\243\018\206L\185\183\218u\214T\210\017\198)\165\164\140\131\144\166\164l\193\183\218\018\202J\181K\185\232\164\134\156\133\152d\156\165\160\009\177\232\172\133\164\241\209\019\2183\214\019\214l\181\167\164L\185t\214\247\218\254\247\189\251\199\168\200\180\142\201\143\205L\189\200\172\233\172\199\164\241\205\181\214\223\251\184\222B\160\207\193\207\193B\140\0\132!\132@\140m\185\017\206d\160m\193\247\218\255\251\255\255\255\255\255\255\223\255\223\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\254\255\255\255\255\255\254\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\255\255\255\255\255\255\255\255\255\255\255\255\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255|\239\174\185\167\156d\144e\148\167\156L\177\208\1973\2102\202T\222u\222T\218S\218+\185\233\180\183\226\223\247|\243\010\173\018\210u\218\166\156*\181T\226+\181\010\1772\206\241\201\010\181\011\185\167\168t\214n\205\134\168\017\198Z\231\223\251u\218E\156\176\197\184\226U\214\182\222\207\189A\132 \132\132\156\008\181U\210\207\189\133\160)\177l\181\174\185\207\193\239\193\018\1863\198\018\198\010\177\233\180\133\172\132\168\132\168\233\164*\173\207\193\148\214{\235\255\251\255\255\149\222\134\172\166\172\141\197\174\197l\185\174\185\017\198S\2028\227\255\251;\239\165\164K\185T\210\165\152!\136!\132 \136\009\173S\210d\164\010\181\182\214\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\254\255\254\255\254\255\254\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\251\223\255\191\251\191\251\092\239\025\231:\235\190\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\149\210d\148+\1732\206u\214t\214u\218T\2142\206R\198\141\189\009\173\232\1643\214S\218\200\1762\206\157\239\157\247\200\168\010\181t\222\166\160\199\168*\185\010\177\167\168\010\181\240\201\200\168\019\218\241\209\149\222\011\189l\185R\202\024\227\255\255|\243\010\173f\160\234\176\011\1813\214\018\202c\144B\140\197\164J\189\019\206\208\193d\160\141\193s\2062\1982\202\147\206\181\210\214\214\024\231u\218\240\201l\185\141\185\240\193\240\193S\206t\210\214\218\255\251\255\251\255\255\157\251\213\214\015\190Q\198\148\206\181\214s\206\149\210\215\218\189\247\255\255\158\247\009\173\231\176U\214\198\156B\144\0\128\0\132\198\160t\214\167\172\200\172u\206\156\243\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\254\255\255\255\255\255\254\255\254\255\246\222j\173I\169I\169\172\1818\227\254\255\254\255\255\255\254\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\251\255\251\223\251\223\251\223\247\190\243\092\235:\227\150\218\017\198K\173\199\160\165\156\165\156\173\1899\239\191\255\255\255\255\255\255\255\255\255\255\255\222\247\208\189d\148\017\2022\206\174\189l\181)\169K\177*\173\230\152c\148\132\148c\152\141\189s\214e\164m\1899\223\190\247\207\197\010\181T\222m\189l\185\208\197\241\205\142\201\010\181L\185\240\197T\218m\193\200\168+\1852\202\148\206|\243\255\255\255\255\025\231\240\201L\185\201\176\208\201t\218\198\160\198\156\007\169\007\177\209\201\150\222\199\172K\189\148\210[\231\156\243\155\235\220\247\221\251\255\255\156\247\248\226\182\210\149\202u\202\181\214\214\218\025\227\156\243\255\255\255\255\255\255\255\255\156\243\023\227\246\218\024\227{\239Z\235{\243\190\251\255\255\255\255\190\251\141\181\132\1684\206\231\160c\148B\136B\136\165\156T\210\010\185\166\168T\202{\239\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\221\251\255\255\255\255\221\247\255\255Y\235\230\156\0\128\0\128\0\128\0\128\0\128\0\128\164\148\246\222\254\255\255\255\254\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\189\247\157\247:\235\215\222S\206\207\189*\169\199\156\166\152D\140C\140\133\152K\177\141\189\232\172\133\160\199\168\182\222\157\247\255\255\255\255\255\255\255\255\190\247\240\189C\1522\210\140\185\165\156\165\152\132\148\165\152\132\144A\132B\144\230\156\166\168\010\181t\214\168\176+\185\248\218\190\247\182\222\232\172\208\2054\218\151\222v\210\175\201K\185\207\197\175\189\215\226n\193\233\172L\181S\206\148\206\247\222\190\247\255\255\255\255\156\2479\231\181\222\233\176\010\177t\214\233\168\231\160\007\161\164\160-\185\149\218\166\168*\189\181\214\190\247\255\255\255\251\255\255\255\255\255\255\255\255\222\251\189\243{\239\156\239\189\247\255\251\255\251\255\255\255\255\255\255\255\255\255\255\223\255\223\255\222\251\223\255\222\251\255\255\255\255\255\251\255\255\255\255\223\2513\198b\164\020\206\141\185\132\156\198\148\132\144\131\148\018\202m\197d\164\242\1939\235\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\221\251\254\255\254\251\238\189 \132 \132)\165\140\177\230\156\0\128\0\128 \128\0\128\0\128\147\210\254\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\156\243\148\210)\173\165\160b\148B\144c\148\132\152\231\168k\185\209\193\019\202U\210T\2103\210T\218\208\205\200\176\166\156S\210|\243\254\251\255\255\255\255\255\255t\206B\152\016\206k\181B\144\165\152(\165\230\152A\136\163\144B\144\230\156\141\201\142\201\149\218\234\184M\197\148\206\190\247[\239\010\177\234\180\234\176\151\218v\202\142\201\233\172\017\198\214\218t\214\201\176\018\210T\206s\194\024\223\156\243\255\255\255\255\255\255\255\255\254\247Y\235*\181\134\160t\214K\177\165\148a\132\131\148\201\172\149\218\231\176)\185\148\210\222\247\223\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\255\255\255\255\255\255\255\254\255\255\255\255\255\255\255\255\255\216\214@\160\019\2022\206\165\160\165\148C\136A\140\208\197\208\205d\160\209\189\024\231\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\246\222\164\148@\132\172\181\213\218\156\243\255\255\156\243\231\156\0\128\0\128\0\128\0\128A\136\023\227\221\251\254\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\254\251\255\255\255\255\255\255\255\255\255\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\191\251S\210\131\152\135\160M\185\175\189\018\202T\202U\206\151\2184\206\017\206\240\201\139\189I\181(\173)\1733\206t\206L\189$\164\010\185\025\231\255\251\255\251\255\247\247\214b\172\209\201\175\197\166\164,\177\142\193\008\181\197\160\198\164\197\156L\193\149\214\175\205\140\197*\177\018\198\181\210\190\247\191\251\017\198\198\164\143\193\184\214k\185k\177\166\164\176\201\152\222\209\197*\177S\206\183\210\025\235\190\247\255\251\255\251\255\255\255\255\255\255\254\255\255\247\141\177a\1522\214i\177D\140!\132d\144\167\156S\210*\177\199\164u\218;\239\223\251]\235;\231\249\230\248\222<\235\151\222|\251\255\255\255\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\217\226\132\160\206\2014\210\133\152@\132C\136B\140k\1893\198E\164k\189\215\214\223\251\255\255\255\255\255\255\255\255\254\255\255\255\254\255\254\255\154\243\139\177!\132I\169\148\210Z\235\223\251\255\255\255\255\255\255\148\210\0\128\0\128\0\128\0\128\0\128\238\189y\239\254\255\255\255\255\255\255\255\254\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\222\251\255\255\255\255\223\251\255\255\182\218\165\152\199\160\150\214u\2103\202\017\194\174\185l\181J\181\008\173\232\152\166\144\132\144\132\152\197\160b\152\008\177R\214\181\214\175\197\134\168\233\176\150\226\255\255\255\251:\239b\164L\185u\222S\2184\2104\214k\189j\181\008\173(\169m\1973\206\134\168J\189\016\202\183\2148\223\191\251Z\235\232\164\232\164\149\214\018\210\009\169\164\152\199\1603\210\018\210\199\164\015\198\181\214Z\235\223\255\255\255\189\251\156\243\255\255\255\255\255\255\255\251\255\251\240\197b\152\017\206\139\181d\140 \132\001\132c\1481\206\173\193\199\164\174\193\239\197\140\177)\165\134\148e\148d\148L\177\200\160K\181{\243\255\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\027\235\165\160\139\189U\214\232\164a\136C\136\0\132\007\173t\206\167\172\008\181\182\210\189\247\255\255\255\255\254\255\255\255\255\255\253\251\253\2510\198b\140\131\144Q\202\024\227\156\243\255\255\223\255\255\255\255\255\255\255\214\218\0\128\0\128\0\128\0\128\0\128I\169\022\223\221\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\251\255\255\255\255\223\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255;\235(\165c\144\018\206\014\206(\177\230\164\230\160\165\152d\144c\140\199\152!\140!\136A\136A\136\131\144c\140\132\148\199\160m\189S\210S\206\200\168\136\180\216\234\223\251\189\243I\185D\148\009\173K\185m\185U\218*\181\007\165\166\160\197\156+\189T\214\200\172l\197\148\214\216\214\189\247\157\243\173\185C\152\018\2022\206\008\181\134\152\164\1642\2064\210c\156\006\173P\206\145\210\021\235\153\243x\243\021\239\177\226\178\226\022\231y\239\255\251\222\255\149\222\131\152\207\193\206\193\133\148A\136!\132!\144\173\193\173\193\034\144c\148\198\160\133\152\199\160+\173\174\189\207\1973\206m\185\132\1602\210\156\239\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255]\243\199\168\231\172U\214*\173\131\144d\136\0\132\197\164\149\214\233\176\198\172\149\210\156\243\255\255\255\255\255\255\221\251\254\255Y\235\006\157\164\148\172\181\213\218{\239\222\251\255\255\255\255\255\255\255\255\255\255\255\2559\231\0\128\0\128\0\128\0\128\0\128\197\152\212\218\155\243\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\251\255\255\255\255\223\251|\239[\235\223\251\223\251\255\255\255\255\223\251\255\251\255\251\255\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\191\251\175\185!\136\173\185S\210j\173c\140\0\132\0\132\0\132\0\136A\144\197\160\131\156\197\164I\173k\177\198\152\001\132\199\156K\173\200\176\141\197\149\222\207\201\135\168S\214\189\243\223\2519\243\141\185\010\169\199\164\167\164U\222*\173b\140\165\160\007\165+\185u\222\233\176\009\185\148\210\157\235\191\255\148\206\034\144*\173\150\218)\177b\148e\152\232\1764\214\011\177d\160\013\210\136\189\235\201\176\230m\226\141\234\172\246H\246\197\241\166\237+\238\208\250\212\242\148\230d\152l\1811\206\133\152B\140B\136c\152l\189T\214\208\193\208\197T\214T\214T\214T\2101\206\173\193\175\197T\218\232\176\140\193\024\227\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\190\247J\177\132\160T\214m\185\164\152C\132 \136\131\156T\206*\181\165\1683\202z\235\255\255\255\255\255\255\188\247\172\181b\140I\169r\206Z\235\221\251\222\251\255\255\255\255\222\251\255\255\255\255\255\255\255\255\189\247B\136\0\128\0\128\0\128\0\128b\140\180\214y\239\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\190\247[\239u\214\207\189\149\214\249\226\149\210\215\218\025\227\025\227\215\222\191\255\255\255\255\251\255\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\255S\206\133\148\010\165\149\214\140\181\166\152C\136\034\136\166\152\232\164K\177\174\189\239\197S\206S\206S\210S\210\206\197\166\164\166\172\232\184\200\172f\168L\189t\218m\189\142\1939\231\223\251\189\251\248\226t\210\141\189\133\164U\222\208\193\198\156\197\156)\173*\1814\214\009\177\132\1681\198\190\239<\239\198\160\165\156T\206\239\197I\181\164\152\232\1724\214\209\205\134\160k\185\202\193\200\205\207\238m\226J\230'\230\227\237\193\249\128\253@\249@\241@\237\169\225P\234\132\160\233\168S\210\197\160c\148\197\152\231\168K\1813\210u\218\241\201\142\189\207\197*\177\141\189)\173\132\156\200\168T\214\133\168\009\181\182\218\189\247\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\254\255\255\255\255\255\255\255\240\197\132\156T\214\208\193\131\152c\132 \132A\148\241\201m\189c\160\240\193Y\235\255\255\255\255r\206\164\148\230\1560\198\023\227\156\243\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\165\148\0\128\0\128\0\128\0\128 \132\146\2108\231\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\222\251\182\218\199\160\166\156d\148\141\181\248\226[\239|\243:\235\215\218m\1812\210\191\255\255\255\255\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\254\255\223\251\249\226\166\156\232\164u\214\018\202\008\169\132\152\0\136d\152\175\193U\214T\210\018\198\209\189+\177\009\173\199\164*\181S\218\208\205\233\176+\189\174\189\141\1891\210\149\222\010\185,\193\216\230\255\247\255\255\223\255\092\239R\206c\156\241\205\019\202\164\152A\136B\140d\152\018\206\207\193\133\168\016\198;\231u\210c\160R\202u\214\140\193\139\181\199\164\173\1973\210\232\172)\177/\202\010\202\229\209\236\250Q\255\179\255\237\254\228\241\128\241\128\245`\241@\245 \249C\233,\242\231\180\198\164S\214(\177\165\156(\161(\173\230\164k\181\239\197)\173\133\156J\177\232\168e\148B\136\0\136D\152S\210\232\176\166\168\148\206\156\243\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\254\255\255\255\255\255\255\255t\214\132\156\241\205\241\197\164\160\231\144\130\144A\148\208\201\240\197B\156\207\193\024\227\247\222I\169\132\144\173\181\181\214z\235\254\255\255\255\255\255\255\255\255\255\255\255\255\255\222\251\255\255\255\255\255\255\255\255\255\255\008\161\0\128\0\128\0\128\0\128\0\128P\2027\227\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255Z\235k\173\166\156\240\197t\214T\214\182\222\182\222\017\202\240\197\026\227\143\189\201\172\183\226\223\255\255\251\255\255\222\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\156\243\141\181D\144\017\202S\210\232\160c\144d\136\166\148\175\189\018\206l\189\166\164c\156\165\164d\156\008\177\009\177d\156\009\1772\210v\218v\214s\206\017\210\241\213\010\181\134\160\240\193\247\222\157\251\255\251\255\255\223\251\215\222c\160\142\1934\202c\148\0\128\0\128!\140\142\1891\202e\172\016\198\184\222+\177m\189\149\218\173\189j\181(\169\008\177\147\222J\189\132\160\204\197\201\197j\226F\234\226\233\002\242\004\242\195\245\130\245\129\245\129\245a\245@\249 \253\0\245\200\241J\197\165\1643\214j\189\132\152\164\140\164\152\132\152\198\160\008\173\197\160!\144\132\152c\144\134\152\008\157K\177m\189\149\214*\181\133\164R\198{\239\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\253\255\255\255\255\255\255\251\248\226c\152\140\189\241\201\165\164)\153\164\152b\152\142\193R\210c\160m\185k\173\132\144I\169s\2069\231\189\247\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\140\177\0\128\0\128\0\128\0\128\0\128\014\194\023\227\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\248\222d\140\141\185S\210\174\189\009\173+\177\232\168\199\164+\181\216\218\217\230\168\172n\193{\239\255\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\155\243\198\152\200\160\150\218J\177c\148\0\128 \136\007\169R\214\141\193\200\172l\189\141\189\207\197\018\190\018\194R\206\139\185c\156\232\176\207\201\167\168\166\172\200\176\133\160d\152l\181s\202\181\206\190\255\255\251\255\255\255\255:\231\131\160L\185U\210\198\160 \128b\140c\144+\173S\210\133\176k\181L\177\166\168\184\222\242\205\230\168c\144d\156\197\164r\222\172\213\131\168i\193\199\213\227\225e\246\225\245\192\253\160\253\128\249\160\249\161\249\129\245a\249@\245@\245 \253\132\241k\209\164\164\018\210\171\197c\148 \128\001\132\132\148\231\164\231\168K\181\141\185\208\1933\202T\206s\1982\206\018\206\207\185C\152\200\172R\194Z\235\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\254\255\255\255\255\251\255\255;\235\132\152J\181\019\206\164\164\198\140b\140A\144+\181\148\214\132\164\009\173J\169\239\189\214\218\156\243\223\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\206\185\0\128\0\128\0\128\0\128\0\128\172\181\246\222\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\254\255\255\251\254\251\255\251\255\251\255\255\255\255\222\251\190\247\255\243\255\255\221\255\223\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\182\222B\152\210\201\209\209\132\148\006\157K\185L\185\018\206\201\188L\205\026\223l\201e\172\149\210\188\247\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\157\243\009\169\166\168T\210\200\168@\128\0\128!\128(\1773\206\199\168*\181T\2020\198t\194t\210\182\218\215\226\248\230\175\197\199\168\134\160\009\177m\177\175\1852\1941\1942\194r\202Z\235\255\255\254\255\255\255\255\255^\247\231\168\229\168v\218\230\156A\132B\132\132\148\232\1682\214\231\168\165\156!\140\174\197s\218J\177\231\164J\181(\177\131\160I\185\146\238\198\176\230\180\233\221F\250\224\245 \254\224\245\225\245\195\245\132\241d\241b\241a\241A\241\034\237c\233\134\237\170\229b\160\141\189\241\201d\152 \128 \128\230\168\207\2014\2065\210T\214\173\185l\189\009\177\165\168\131\164\131\160B\152\199\164\207\1932\202|\239\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\254\255\254\255\255\255\255\255\156\239\167\160\010\177u\214\199\156!\136\0\128!\140\132\1521\210\231\172\166\172r\206\247\230\189\251\255\255\255\255\255\251\255\255\223\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\2551\198\0\128\0\128\0\128\0\128\0\128j\169\213\218\221\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\254\255\255\255\255\255\255\255\255\255\255\255\255\255\223\251\223\255\159\247~\243\092\239\249\226u\210\241\189\208\185P\206\026\231\255\251\255\255\254\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\251S\210B\152u\202\176\197\132\156J\181L\197n\197T\210\240\205\200\180\017\202t\218e\168\142\197:\231\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\190\247l\181d\1603\210\010\177A\128\0\128!\128\007\169T\210\199\172\009\177u\206\023\227|\231\190\247\223\251\255\255\222\251\024\227\148\210S\202S\2023\206u\206t\206\182\214\181\210{\235\254\251\255\255\255\255\255\255\255\255\159\251J\181\164\1604\210\008\165c\136b\140!\136\133\156\017\214\009\181C\152)\173s\218l\189\132\156\132\156\007\177\230\172b\156\131\160\172\2091\222c\168\005\193*\238&\238\195\229@\213\226\192\160\184\128\180\128\176`\172`\172\128\176\162\180\192\192\004\205\139\217\132\164L\181\241\205\132\152 \128\130\136\165\164m\193U\214M\181\199\160\165\152\166\160\232\164\232\168J\177l\185\174\193\240\193\018\198\183\214\189\247\255\255\255\255\254\255\255\255\255\255\255\255\254\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\251\222\247K\181f\160u\218\141\181c\144\0\128\0\136\132\1521\210)\181\133\164\015\198\181\226\222\255\255\255\222\251\255\251\255\255\223\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255R\202\0\128\0\128\0\128\0\128\0\128(\161\213\218\188\247\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\222\251\255\255\255\255\255\251\255\251\223\251\223\247\158\243\092\235\026\227\183\214\017\198\141\181\009\169\165\156c\148B\148B\152\165\160d\156\232\168\149\210\157\243\254\255\254\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\251\173\189B\152T\194\207\189J\181\173\197+\193\142\197S\206\248\226L\185J\193:\227m\189\168\188\183\222\221\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255t\214\166\164\018\206m\189a\132\0\128\0\128\165\160T\214\233\176\167\1683\206{\243\255\255\255\251\255\251\255\251\255\251\255\251|\239\215\218\215\218\215\222\248\226|\243\190\247\255\255\255\255\255\255\255\255\255\255\255\255\255\251\223\251\238\193b\152\242\205L\185\197\152\197\152A\140\132\1561\214)\185c\160\015\206\239\201\007\169\165\164I\185\171\197\237\205I\185\197\164\230\1761\222\141\209d\172I\201F\197\128\172`\172\128\184\192\188\224\192\0\193\034\193&\189\229\172B\148\0\144A\168J\201\133\164\200\168\241\209\165\160`\136\165\144\165\160\009\1773\214\200\168\199\164\206\189\240\193\017\198\017\194\240\193\016\194S\202\149\210\248\218\223\243\255\255\223\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\222\2472\206\200\172T\218S\210\198\156\0\132!\140\198\1601\206k\189\034\152\165\160\165\160\239\201\222\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\148\210\0\128\0\128\0\128\0\128\0\128\197\152\180\214\155\243\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\251\223\255\222\251[\235:\227\183\2142\198\173\181(\165\198\156\131\148B\140B\152d\152\166\160\010\173n\185\210\1935\206x\214\211\201\133\160b\156\239\197\092\239\255\255\255\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\190\247*\173\165\160v\210l\181\230\160\198\160l\189T\214\208\193\174\189\009\169c\164\016\194S\206#\168\143\201:\231\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\182\222c\156\176\201\240\201\131\144\0\128\0\128\132\1523\214l\189\167\1683\210[\243\190\251\255\255|\239\223\251\223\255\223\255\216\226\208\193M\185\010\165\175\193T\214\157\243\255\251\223\255\255\255\255\255\255\255\255\251\255\251\255\251r\210B\152\208\201\210\205\164\152\164\152b\144\131\156\239\209J\193k\193R\218k\177\231\168\230\172i\193\014\214\205\205I\181\007\169I\181)\1892\226\167\180\134\168J\189g\197e\205A\225`\225\128\229\163\229C\205`\172\0\148\0\140\128\168\227\188\171\213\007\177\133\160\241\209\199\164a\140C\136\131\152\198\1722\218\167\168\231\168\016\198\017\190\181\210\214\214\247\218Z\231[\235\157\239\255\251\223\247\191\251}\239;\231\216\218\183\218[\235\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\255\255\255\255\255\255\251[\235\174\189e\156\175\201\016\198\165\152\0\132 \136\131\148\206\197s\218\206\197\240\205\231\168C\156\182\226\222\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\214\218\0\128\0\128\0\128\0\128\0\128b\140\147\210z\239\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\251\255\255\190\247\025\231s\206\207\185K\173\199\156\164\148c\144c\144d\148\166\156\009\173\142\189\176\1975\202U\202U\206T\2062\206\207\197\140\189j\185T\210\242\205\232\176b\156)\173\183\218\223\251\254\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\157\243\199\160\008\177w\222\009\169 \136 \136\239\189\182\218\019\210\233\168\198\160C\156\166\168\182\214\141\197\234\196\152\222\221\243\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\025\235d\156M\1932\206\164\152\001\132!\136\165\152\239\201\208\201\167\164\175\1973\210S\210\143\197\234\172\150\222}\247u\214\200\160\166\152L\177\142\189T\214m\185\017\198\190\251\223\255\255\255\255\255\255\255\255\255\255\255\255\255\214\226\132\160l\193\243\213\164\156b\144a\144A\144k\189\016\218R\222\238\201\007\165\165\160\164\168\238\213\015\2180\218\131\160\132\156\198\164\164\164k\201\174\209d\164\230\180\201\217\132\217a\229\162\229\131\217\226\188@\164\0\156\129\172E\197c\213\133\221\234\229g\193\132\160\241\209*\177\130\144\133\144\131\148c\160\240\209\232\176\165\168\239\197\182\210\156\243\221\251\222\251\255\255\255\255\255\255\189\247\148\214K\173\009\169\165\152C\140\133\148\008\165t\214\222\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255:\235\141\181d\148d\152K\189\016\198\198\156A\136!\136b\144\140\185\180\2221\2101\214\016\210C\156\174\201Z\239\254\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\024\227\0\128\0\128\0\128\0\128\0\128 \132r\206Y\235\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\189\247\207\189\199\156\133\148d\144\133\152\009\169n\185\175\189\019\206u\218v\218U\214\019\206\242\201\204\189\171\185i\177H\169\007\165\197\152\164\148\164\144\131\1522\206u\218l\189c\160\132\1602\206\190\243\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\026\227d\148*\181\018\206\008\161A\144\132\156\016\198\018\202\184\230T\210j\185K\181\165\176\207\189S\210e\176\020\210{\231\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\251\255\255\157\247\009\177\011\1852\202\165\156\034\136\132\152\199\156k\185\241\205\167\164\133\164\167\156\200\164\134\160\010\173t\214\150\218u\214\149\214T\214T\2143\218\215\2222\206\200\1684\218\222\247\255\251\255\255\255\255\255\255\157\247\023\235R\222\133\168\009\185V\222\007\169b\144A\136 \140\008\173\214\2380\210\230\164 \140b\152\139\1971\222\008\189\147\230J\185\132\156\132\152\131\160'\185\016\222k\201b\172E\209\231\229\131\233\133\221\195\188\0\152 \156$\193\163\221\128\229`\229a\229\165\229\135\201b\160\175\201\142\193\164\148\132\144\131\148b\152\174\201\141\197\166\176K\1852\194\155\243\222\255\255\255\255\255\255\255\223\255\239\197\164\152\133\152\232\164L\181\207\1972\210\199\164\199\160\247\230\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\2551\202d\152k\177\240\2012\2181\202\231\156B\136B\136b\140\230\160(\173b\148)\185\148\226\133\172K\193\024\231\189\247\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\2559\231\0\128\0\128\0\128\0\128\0\128\0\1280\1988\231\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\255\149\214d\148\010\1692\206u\218T\214t\214T\210\018\202\207\193\141\185J\173\007\165\230\160\197\156\132\144c\140!\132\001\136\001\136\001\132\001\132\001\132B\144\007\165\206\185v\214\018\210\164\164\131\156\209\193{\239\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\251\216\218d\148\173\193\019\206)\165B\148\198\1722\206M\181\209\201\183\214\198\168\009\177\009\181*\185\150\222+\185\241\205\026\227\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255|\243k\185\011\189t\210\231\168\034\136\132\148\199\156)\177T\214\017\206\174\201\242\197\018\210S\210S\210t\210t\2062\202l\181\010\177\018\210\141\193\208\197\216\230\018\214\010\173:\235{\235\223\255\255\255\222\255\092\251\179\234s\234\009\193\164\172\020\214\008\173A\140 \128 \128\230\164R\214I\173A\136\0\136\231\172s\226\009\185!\156)\185\239\205)\181\140\193\231\172j\189\139\2011\226\008\197\164\184\138\213\200\225\160\184 \168\160\184c\213\194\233\160\237@\237\128\233\128\237\164\233\201\213c\160M\193\208\201\131\148\0\132\164\148\131\152K\189\207\209\199\184*\189\206\181Z\235\255\255\255\255\255\251\255\255[\239\009\173\132\1523\2143\2103\210\176\197T\218L\185e\156T\214{\239\255\255\255\255\255\255\255\255\255\255\255\255\255\255\254\255\254\255Y\231*\177d\156\017\202\173\189L\185\008\161B\140 \132A\136\0\128 \136!\140\0\136\199\176\148\222\199\176\233\184\247\222\188\243\255\255\255\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255Z\235\0\128\0\128\0\128\0\128\0\128\0\128\238\189\023\227\254\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\255\017\202\133\152\240\197S\210\207\197L\185\010\173\230\160\164\152\131\148\131\144b\140A\132!\128\0\128\0\132 \140\0\136 \140b\148\131\152\131\152@\144\0\132\034\140c\144\007\161S\202v\214\234\176!\164R\202\156\243\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\251\216\222\199\160R\218\175\193\231\156!\144\165\168s\210M\181\169\168\183\218k\193\199\172\199\164\198\176U\222\150\210\206\201\019\202\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\190\255\240\205\012\193\181\214\008\177\034\136b\140\198\148\132\156\141\185\018\206\017\214\019\206\141\193\175\205\175\197+\177\231\160\198\152\232\160\166\156*\177\232\164\134\164\201\176\182\222\149\214\208\201\010\1699\223\155\247\248\234T\218i\201\173\217\233\192\130\1684\214\009\177!\140\0\128\0\128\197\156(\169\131\140@\128b\148\015\206\207\205\009\185\009\185\199\176K\189\239\205\173\201)\181j\185(\181\174\209\241\225\134\176\233\180\203\189\162\164\192\180\195\225\225\241\160\237\160\237\163\237\160\229\128\233\164\229\011\222c\160\011\185\017\210\130\148 \132'\161\007\169*\185\207\205\133\176*\193\016\194\249\222\191\247\191\243~\239<\231u\210+\173m\185\017\210*\181*\181\133\160\207\201\207\201\132\160\173\1979\231\255\255\255\255\255\255\255\255\255\255\255\255\255\255\252\251.\190'\165)\181\165\164t\214\206\189\133\156!\136\0\128B\136\164\148A\136B\140A\140b\148\165\168\213\230K\197\232\180\180\210\188\243\255\255\255\247\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255{\239!\132\0\128\0\128\0\128\0\128\0\128\205\185\246\222\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\222\251\255\255\255\255\255\255\255\255\254\255\255\255\255\255\255\251\255\255\255\251\255\255\255\255\254\251\255\251\255\251\223\251\255\251\223\247\222\247\255\251\255\255\255\255\255\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\255u\210\011\189\240\1971\198*\185c\148c\140C\144'\161H\161\165\152\133\156#\144\034\144c\156\168\156L\181m\189\208\193\019\198U\206U\210L\181e\144\0\136 \128B\136\196\152\140\189u\210\131\160(\181\247\230\223\251\255\251\254\251\255\255\254\255\255\255\255\255\255\255\255\251\255\255\223\255S\206\201\180u\206\171\189d\144\0\136\233\168t\206l\197\231\164\172\205\150\210\232\180\141\185\009\189\009\197\216\218\215\222\184\222\156\235\255\251\255\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255:\239\142\193\241\205T\214\166\156B\140c\144\165\156b\148J\181k\189\199\172\233\176U\214T\210\232\156c\140\231\164\199\164\233\172,\181+\185\232\176\198\168R\210\149\214\149\218\165\160j\193m\221b\208`\212\160\212\170\233k\205B\152\016\210j\189!\144\0\128!\132!\128B\136 \136a\148k\185S\222\008\181\009\177\176\201\132\176\130\180\017\226J\193A\144\131\148\198\164\132\1601\218\205\209!\164\232\180F\197\163\225\224\245\224\249\160\245\193\241\163\237\161\237\160\237\192\241\007\234\163\172\201\1724\210\197\156A\132b\136\131\144\231\164\017\214\133\164*\185R\2144\206\018\198l\181\232\168\133\156B\152\132\160\007\177U\206\241\201I\169\166\160K\1813\210E\156\241\205\248\222\223\255\255\255\254\255\254\255\253\255\220\251\021\223\132\148\197\1520\198Q\206d\1561\214\174\201\0\140c\152c\152\166\160\009\177K\185\174\197\017\2102\214S\222T\222\166\164\232\168S\210{\239\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\222\251c\140\0\128\0\128\0\128\0\128\0\128j\173\213\218\221\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\251\190\247\189\247[\239;\235\184\218\242\193\175\185\208\189:\235\222\255\255\255\255\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\251\249\226f\168\142\197\206\189\199\168\008\169*\169\232\168\230\156\196\148B\140\009\169\174\189\240\1971\210T\214S\214\016\210\206\197m\181+\173\142\189S\222\208\189\131\156\0\128\0\128 \132\199\164T\206\198\168\198\168\148\218\156\239\255\255\255\251\255\255\255\255\255\255\255\255\255\255\255\251\255\255\190\247\174\189\200\176T\206\139\185d\144A\140L\177t\206\231\180\165\156\165\172\150\222\149\218l\185\232\176\200\180\017\206\025\219\216\222\156\243\222\247\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255|\247m\189\010\181T\218\150\222\006\165A\144!\144\232\1642\210l\185b\152\164\160\200\180\009\185\165\168\165\168)\185\140\197\141\201l\193m\193*\185\009\181\017\210\141\189t\222\132\164\197\180\232\200\229\220\134\249\200\253\013\254\139\217A\156\171\2010\214\198\164B\140\034\132!\128\0\128\0\136\007\173u\218J\181\132\160\009\173*\185\008\185\198\180*\197Q\222\231\176\132\160k\185\140\193K\193\016\222\165\172\233\184\235\221&\238\192\237\192\245\160\245\192\245\224\245\192\241\128\237\194\233l\242H\193d\1602\214\229\168!\132\0\128 \136\133\156\017\214\167\172\133\164\165\160b\156\131\160\165\160\198\164+\173\176\1894\202V\210\182\214l\185\229\156\230\164\009\177S\214\200\176l\193\182\218\255\255\254\255\254\255\254\2557\231i\173A\136\206\189\180\214\155\239\247\230d\156\140\197s\222\140\193\148\218s\214t\218\148\222s\2182\210\240\201\173\193\010\181\166\164c\152\141\189s\214Z\235\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\222\251\132\144\0\128\0\128\0\128\0\128\0\128(\165\213\218\188\247\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\222\251\255\255\223\255{\239\248\226\183\222S\206\240\193)\177\198\160\166\156D\144C\144\232\168\132\156\231\172\247\226\255\255\255\255\255\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\251\157\243\167\180\010\189\018\210K\181\175\189\175\193l\185\198\160H\169\230\160\141\185t\210\239\197k\185\233\164\165\156\132\160c\152\166\160\166\160c\156\198\176\150\214J\181 \132\0\128\0\128d\1524\206*\185\164\1641\210[\235\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\157\243*\177+\185\150\214\007\169\034\136b\148\142\189\018\202c\160*\173\231\176\176\205\216\214\231\172l\185\207\201\240\213<\231\248\222\025\235|\243\255\255\223\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\249\234\142\193,\185\208\2055\214m\185\133\156\198\160\239\197\141\189+\177\144\189\210\201\019\206T\210\150\214T\210T\210T\206u\210\010\177\199\172*\185*\185e\156\241\213\199\184\132\180k\209\197\216`\224 \220c\220)\217\131\168I\1891\214\198\164!\136\0\128\0\128\0\128\164\156\016\210\208\201\132\160\231\172(\181\228\176\007\181\233\180b\168\014\214\238\213c\164\007\169\231\168c\164\140\201\205\201\165\176G\197*\234H\242%\246\003\250\193\245\192\245\192\249\227\245\009\238N\226\139\197c\1641\222I\185c\144 \132!\140\198\164\240\209*\189*\185K\185\241\189\018\198T\210T\2102\206\017\206\208\201\208\201J\173\197\160I\173\007\173\198\168S\218\166\176\197\172\214\218\156\243\255\255\155\243\171\181b\140\008\161r\206\247\226\155\243\254\255\156\251\199\168\166\172t\230t\226\240\209\141\193*\185\232\172\165\164\132\156\132\156d\156\232\164k\181\173\1891\202\148\214\155\243\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\198\152\0\128\0\128\0\128\0\128\0\128\197\152\180\214\155\243\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\222\251\222\251\255\255\255\255\255\255\255\255\255\255:\235\208\189\233\164\134\152D\144D\148e\152\135\160\234\172\175\189\017\2023\206\182\226\207\205d\160l\181\025\231\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\251\254\251\018\218\234\188T\222u\218T\214v\214+\181\197\156\007\165\197\160K\1813\210\199\164d\156\010\165\009\169\140\189\173\189\016\2022\206J\185 \152\018\202\174\189C\140\0\128\0\128C\144\241\197\142\193c\160\240\201:\231\255\255\255\255\255\255\255\255\255\255\255\255\254\255\255\255\255\255[\239\133\156K\185U\210(\173\133\144\132\156\017\202\207\193C\156\175\189J\189\201\184\215\218\141\193L\189l\189\009\189T\214|\235\215\226t\214\190\255\223\255\255\255\255\255\255\255\255\255\255\251\255\255\255\251\255\255\223\255\150\222\010\177\135\164\208\197T\214T\214\018\202u\214\150\214u\214S\210\018\214\142\193*\177\009\177\232\172\231\164\231\168R\214\241\201\232\172I\181\198\168+\1854\226m\205B\172\232\192\034\204\001\228\034\240\002\228\010\225\165\172\008\177\147\222\231\164 \132\0\128\0\128B\140k\1891\218\198\180\131\160&\177\227\180\003\185\228\172\140\201b\172I\197\147\238)\189\132\160\008\173K\189*\189s\222j\197b\164\138\205o\238l\242i\250f\254\226\245\192\249&\250\235\225\008\181\165\164B\160\173\205\173\197\131\144c\140\132\144\198\160\175\201\017\2142\214\017\206\142\193\142\193\174\193l\185)\169\198\156\197\152\231\156\132\148\197\156j\181\232\172\133\160\018\214\009\185\007\185\148\210\246\218\238\189\131\144\230\1561\198\247\222[\239\222\251\254\255\254\251\255\255\239\201C\156\199\172\165\164e\160\133\164\232\172*\181l\185\173\189\240\197\017\2021\198R\2061\202s\2069\231\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\008\161\0\128\0\128\0\128\0\128\0\128b\140\180\214z\239\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\251\223\251\190\247\156\243{\239\025\227t\2102\202S\206\248\226\255\255\255\255\255\255\157\243L\173e\148\233\164m\185\208\193\241\201t\214u\218u\214S\2102\202\141\181K\1772\214\009\177\010\177\181\218\189\247\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\247\230\233\184\135\172M\189\143\193\216\222\009\169\197\156\130\148!\144\009\173u\218\199\164\232\180T\1982\1942\2022\198S\202\181\214R\206\131\156\142\189\017\198d\148\0\128\0\128B\140\174\189\241\201B\156\173\193\248\226\255\251\255\255\254\255\255\255\255\255\255\255\255\255\255\255\255\251\026\231D\152\142\1894\206\230\164d\140B\1522\202m\185\198\168\018\202\206\197\202\1922\218u\218\233\180\199\172\011\181M\201\025\223\017\202\133\152t\210\223\255\255\255\255\255\255\255\255\251\255\255\255\255\255\255\255\255\255\255\222\255\248\230\208\197\132\164)\185\174\201\141\197K\185\008\173\197\164A\148*\181\232\172\166\164\232\172l\185*\181d\160\208\209\150\218k\181\230\164\132\156\199\172+\193L\201J\201\200\200E\212\034\232\0\228!\216\172\233\007\177\198\160\148\222\231\164\0\132\0\128 \132\198\156R\214\141\201b\164\008\177G\181\167\201\234\209i\189P\214\172\205(\193\014\214R\222)\185\174\201\173\193\008\169\140\189\151\230\231\172\130\152\197\168\197\176\005\189\008\230g\250\0\250&\246%\193\231\172\173\193\239\2132\218\017\206\164\148b\136A\136\132\148\008\173\009\177\199\164\198\156\198\164*\177)\177\198\160\131\148A\140A\136a\136C\144\008\169\009\173\233\172\201\172\019\214\175\205\165\172\172\177\131\144\197\152\238\189\213\218{\239\190\247\255\255\255\255\255\255\222\251\255\255\189\255S\218\174\197\174\193\016\1981\198R\202r\206r\202r\202\147\202\147\206\213\214\214\218Y\231\156\243\222\251\255\255\223\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255k\173\0\128\0\128\0\128\0\128\0\128A\132\147\210Y\235\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\255\190\251\190\251\157\247[\239\025\231\182\2142\202\142\181\009\165\167\152d\144C\140d\148e\152\133\152\148\214\190\247\255\251:\235\133\148L\181T\2142\210S\210\207\189\141\181K\173)\169\007\161\230\156\131\148c\148R\214J\185*\185t\218{\239\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\221\247\182\230L\193\201\180M\193\183\214\009\173\131\148A\144B\148\166\1602\210\233\176\166\176T\194\182\210\025\227\156\239\223\247\223\247:\231\133\152K\1814\202\133\152\0\128\0\128!\132J\1814\206c\164k\185\215\218\223\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\247\183\218C\152\207\193\209\197\198\160\132\140\132\160S\210\010\177\232\172U\210\149\222M\197\200\188\151\222\141\193e\160\168\160\134\1762\198\182\218\232\164\240\193:\235\223\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\251\255\255\189\247\248\226\142\197\166\164c\156\131\160\164\160\198\168K\185\175\197\241\189T\2023\1983\198U\2063\206\135\160,\189\183\222\140\181\131\148\008\177K\189\175\209m\205*\197\200\204e\216 \216@\216f\237\210\254\137\193b\156\017\210\009\173\0\136\0\128\0\128\165\156S\218\010\181\132\160\208\197I\177g\177\230\164\164\148\130\148*\177J\193\132\160k\185m\193\232\172\132\148b\140B\148\142\189\175\189\199\156\200\160\233\168B\152\228\180L\230\132\242\204\250F\193j\189\015\206\172\197j\185\231\164b\140A\136B\136\198\160)\181\009\177\198\160\007\165\165\148\231\160\165\152c\148b\148B\148\132\160\230\168+\177\240\201\240\205S\214u\222\020\218L\185\132\164\008\161\140\177\246\222\188\247\221\251\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255{\247\181\222\181\218\148\210\148\210\181\210\246\218\024\223Z\231\155\235\188\239\189\247\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\173\181\0\128\0\128\0\128\0\128\0\128\0\128Q\2028\231\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\251\255\251\222\251\189\247|\239\025\231\182\2182\206\207\193*\169\232\160\133\152D\144D\144\134\148\200\160\009\165\142\185\241\201\018\210\208\201D\152*\173\025\231\223\251\025\231d\148\175\193S\214\232\168\198\156\132\144\131\140\132\144C\136!\132\0\132\0\132C\148\018\206\143\193e\164\240\201:\235\255\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\255\255\251\189\251\247\230m\193\011\193t\210L\185c\148\131\156\198\168\232\1723\210\207\201\199\180S\198[\235\255\255\255\255\255\251\255\255\158\243\009\169\199\168T\202\199\160\0\128\0\128\0\128\230\168U\206\165\172*\181\149\214\190\247\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\247T\210\133\160s\210\209\197\164\156d\140\197\172t\210\010\177\008\173v\214\215\226T\222\168\180\208\201t\210\175\189\208\193\207\193t\2069\231\181\214t\206\247\222\222\251\255\255\255\255\255\255\255\255\255\255\255\255\223\255\255\255\255\251\255\251\223\251Y\231R\198\175\181\241\1893\194\018\194\017\194Q\198Q\206\180\218\214\222\214\218\023\227\024\235\008\181\008\1894\210*\173\230\168I\185K\193\142\209\208\217\232\188\200\196\133\212b\224F\249\233\253\010\234G\193\034\156\174\201l\189B\144\0\128\0\128c\144\017\206K\185\133\156\140\185\165\156!\132\0\128!\132\0\128J\165)\177\034\144d\156\174\189\009\165c\140 \132\0\132\132\152\241\197\018\202\242\197\018\202*\177c\156\139\197J\210\144\230'\189\008\177\016\206)\177\165\160b\144b\148\198\160\164\156c\156\199\176K\193\231\172\164\156\163\160\164\164\231\168\140\185\241\197\018\2024\202w\2103\218\240\201\173\197\173\193\206\193\166\164B\140\008\173\239\189\214\218\222\251\255\255\255\255\255\255\255\255\255\255\255\255\223\251\255\255\255\255\223\255\223\255\221\251\188\239\189\247\189\247\190\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\239\189\0\128\0\128\0\128\0\128\0\128\0\128\015\194\023\227\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\251\222\251\190\247}\239;\231\249\222S\202\239\189K\173\199\156\133\148d\148D\148D\144\166\156\233\164l\181\208\193\018\2063\210T\210T\2102\206\208\197m\1853\218\010\177\199\160t\210\157\243:\235\133\152l\1852\214\198\160\0\132 \128\130\136\230\156A\136A\140b\148b\152\165\160\175\193\242\205D\164\207\201\024\231\255\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\251\255\255\255\255\255\255\156\243T\218\136\180u\218\241\205)\177(\177J\185\207\197t\214\208\201\133\168\017\1989\235\254\255\255\255\255\251\255\251\157\247l\181\132\160v\210\009\173 \132\0\128 \128\164\160u\210\198\176\231\1682\202\157\243\255\255\255\255\254\255\255\255\255\255\254\255\255\255\222\239\208\193D\160t\210n\189\230\164d\140\198\172s\210\233\172\165\156n\177+\173\198\164\234\176+\189\247\210\215\214\148\222\149\198\215\226|\239\190\247:\231|\239\223\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\251\255\255\255\255\223\251|\239\182\214s\206\181\214\247\222\025\227;\235|\243\157\247\223\247\255\251\255\251\190\251L\185\233\184\184\234K\185\015\206\008\185\009\193\168\184\241\225\133\176\233\184\167\208!\220@\232 \220\162\208\139\213D\168\142\201\207\201c\148\0\128\0\128!\140\141\189m\189\133\152\229\168J\177\011\161\008\157\197\152)\165\205\177\132\144\009\173\175\1932\202\148\206\231\156\0\132@\132D\148\231\164I\177\199\164,\177\177\197\133\160\230\172c\132\233\168\167\172f\1643\210+\177d\148\164\152\198\168\231\172\164\164\165\172\009\189K\201K\193\239\205\020\198\020\2025\210\019\206\208\197m\189\009\181\199\172\134\164\131\152b\160\162\156\007\169\199\168\139\181\238\1972\198:\231\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\251\255\255\255\255\255\255\255\247\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\016\194\0\128\0\128\0\128\0\128\0\128\0\128\205\185\247\222\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\222\251\255\255\255\255\255\255\255\255\190\247|\239[\239\216\226T\210\240\197l\181\232\164\133\152d\148B\148c\152\165\156\232\164m\181\208\189\018\198u\206v\214U\2103\206\241\201\206\193\139\185H\173'\173\008\165\230\148a\1483\206\143\193c\168\017\202|\231|\235\200\164\199\1722\218\198\160d\148\132\148A\136\132\140C\140 \132\165\160\241\193\242\205R\214K\181\134\156\207\193\215\226\223\251\255\255\255\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\026\231L\189\239\217\249\226\184\222\241\193\172\189J\193\209\2053\206$\164\208\193\026\231}\243\157\243:\235\215\2182\202\166\152\198\160u\214m\177\001\132\0\132 \136*\173U\210\198\164\199\156s\202{\231\255\255\255\255\255\255\255\255\255\255\254\255\255\255\158\247\009\173e\156t\206*\185\164\148c\148K\181\241\205D\156D\156\200\172\009\181\208\193T\202\150\210\215\210[\231;\231u\210\092\239[\235\223\251\255\255\025\227\189\247\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\255\191\247\157\239\092\239{\235\222\243\255\255\255\255\255\255\255\255\255\255\255\251\255\255\016\206\133\168T\230\173\193\231\172\230\172\230\176\198\180\208\213\168\196\009\209\167\200 \204@\224\225\232\144\250\145\222\161\156\173\201R\214\164\152\0\128\0\128!\136)\177\206\197b\152\200\172B\156H\185\148\218\238\193.\206J\185b\156\016\210\175\197\174\193j\173\163\144A\128\0\128 \128@\128 \128!\136\009\173S\214c\160\007\181\166\140C\136\232\172\165\164k\189k\189\199\168k\189\016\206\173\193\206\197\016\210\239\209\015\210\239\209\206\205)\185\232\180\232\180\134\168\133\168\165\164\165\160\008\169\009\161J\169J\169k\173\207\185\017\1941\1982\1989\231\189\247\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\148\210\0\128\0\128\0\128\0\128\0\128\0\128j\173\245\222\188\247\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\025\231\240\189\009\161\164\152c\148c\144d\148\133\152\232\164M\181\176\1934\2024\206T\206T\2103\206\018\202\207\193\142\185K\169*\165\232\160\166\152\132\148b\144!\136!\136\001\136 \128 \140\208\197\176\197B\164\207\1939\223\190\239l\181C\160\017\214\017\206\207\193\206\193\198\156A\132c\140A\136\165\1603\202\209\201J\181\231\168K\177\240\197\248\226\223\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\251\255\255\255\255\255\255\255\255\026\235\233\176*\189\150\2143\202\174\189)\169\198\168m\189t\214E\160\010\169\208\193\141\181\008\165\165\152c\148b\152A\144\242\1973\206\199\156!\136\0\128\165\152R\210\207\193c\152J\173S\202{\235\255\255\255\255\255\255\255\255\222\255\254\255\255\255}\243\199\164\009\173t\206\166\168\231\160\199\160\175\193T\214\018\2063\2102\206T\210T\210\018\202T\210\175\193u\218<\239\241\193t\206S\202{\239\223\251\190\247\189\247\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\157\247\190\247:\231\183\2184\210m\181\208\193\181\214\222\251\255\251\255\255\255\255\255\255\255\255\222\255S\222\199\188\175\205\233\188\231\172\198\176)\189\008\185m\213M\205\133\180\009\201\231\208\169\241\144\254\014\218\007\169 \140\232\180\016\210\198\164\0\128\0\128\001\128*\169T\2062\214\241\213\231\172\129\160J\185\164\156\167\197\138\197B\152\240\209m\193\133\156B\140\0\128\0\128\0\128\0\128\0\132 \136\0\136\167\164\018\214\165\168\197\172\173\181)\173J\189\166\168,\185\018\2102\210R\214\141\209\141\209\206\209\140\201\231\176d\164\132\164\133\164\132\160\230\168\232\172*\177\206\193\017\198\174\185k\173\008\161k\173\173\181\239\189s\206\215\222:\231|\239\189\247\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\214\218\0\128\0\128\0\128\0\128\0\128\0\128H\165\212\218\188\247\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\251\255\255:\235\200\164\166\156\010\169N\181\143\185\019\206v\214U\210T\2063\2062\202\205\197\172\193j\181I\173\231\160\166\148\166\148\133\140A\136!\132\0\128\0\128\0\128\0\128\001\128!\132\034\136\0\128@\144\143\189\019\206B\160l\189\248\218\190\243S\210\034\148K\1852\210\207\201S\218\008\169c\140C\140 \132c\1523\202\209\201\231\168\174\197\017\198t\210:\231\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255}\247K\185*\189v\210*\169\166\156B\136c\148\232\172s\210\167\160b\164\198\172\198\168\231\168K\177\142\181\018\198\150\210\151\214K\173b\140\0\128C\140\142\1852\210)\177\199\168\016\202S\202{\239\255\255\255\255\255\255\255\255\255\255\254\251\255\255|\239\009\169\141\185T\206\133\160\198\148\232\156\207\189\241\197\019\210\242\209L\185\175\201,\193\201\176\241\205\182\222\017\202T\214u\222\142\189\016\194\214\218\189\247\223\251{\239\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\025\231K\173*\169\017\194n\185\242\205\242\197\018\206L\185t\214\222\247\255\255\223\255\255\255\255\255|\251\017\218\167\184L\189\143\209K\193\009\177\140\193\232\180\011\201\142\205d\172l\205Q\238.\234\236\213\165\160\134\152K\181o\1854\202+\165\034\132\0\128\0\128\132\152j\185)\173\141\201\174\193\129\164I\189\007\173\008\222\235\217A\148\207\201m\189\0\140\0\132\0\136!\140C\144\132\152\230\164)\177l\185\241\205\018\210\132\160\230\172\170\197\202\205.\226)\197e\164\168\164\199\164c\148D\164D\164\133\168\231\180\008\185(\185H\189H\189G\185G\181\230\168I\173\140\177*\165\009\157\009\157\207\185t\206\025\227|\239\222\251\223\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\024\227\0\128\0\128\0\128\0\128\0\128\0\128\229\156\179\214\155\243\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\251\255\255T\214e\156\208\201u\2184\214\019\206\208\197\142\189k\177(\169\006\161\196\156\165\148\165\148!\132\0\132!\132\0\128!\136B\140\0\132\0\132!\136c\140\132\144\199\160\009\165+\173l\177b\140\0\136\233\1684\210\132\164)\181\149\210\223\247[\239\009\173\165\160\166\160D\156\018\214m\185B\140\0\128\0\128A\144\208\193\176\197\132\156\240\205\149\210:\231\190\247\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\190\251\141\189\232\184\151\214\009\169\034\144\0\128\132\144\197\160\147\214T\206\018\206\018\2103\210\149\218u\214\018\202\240\197\142\185*\169\165\148 \132\0\128*\169T\214+\177\001\140\009\177S\210\247\226\222\255\255\255\255\255\255\255\255\255\255\251\254\251\255\255\158\243\149\218\149\218S\202\199\168\133\164\133\164\009\181\009\177L\185\141\189\008\169\140\185\009\173C\148\167\168+\189\011\185\175\197\182\214s\198\215\218:\231\156\243\255\255\189\247\157\243\255\255\222\251\255\255\255\255\255\255\255\255\255\255|\243\208\193\200\160\142\189\216\222\183\218\216\218\215\218\183\226\234\176\234\180\023\219\255\251\255\255\190\251;\2433\222\010\193\167\192\241\2092\214\233\180\165\156\008\173\199\172\016\210\175\201\134\184\232\196)\205\238\217\173\201d\152\176\197\018\214\207\197\174\189\199\156!\132\001\128!\128\001\132C\140!\140\008\185S\210\129\168\230\180j\189(\238\011\234c\156K\185\175\197\199\168)\177\140\189\240\201\018\210T\2182\214\016\210\240\205\175\197\233\172\034\148I\181\133\201\198\213\008\230\167\213\229\184\231\176J\181(\177\011\165\010\165)\169I\181H\189%\189\226\184\192\180\193\188\160\176`\160H\177k\173*\165\241\193\215\222|\239\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255Z\235!\132\0\128\0\128\0\128\0\128\0\128\163\144\179\210z\239\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\2552\210\134\160\019\210\142\189\197\164\007\173\230\164\230\164I\173)\169\132\148A\136B\140\166\152C\140B\140\132\148A\140 \136A\140\199\164K\177\174\189\016\1981\202S\2142\2102\214T\210\007\165!\140\167\160T\214\198\168\198\168T\206\189\243\223\255\248\230\016\202K\181\166\168\018\214\142\189b\144B\140A\140b\140\143\189\018\206d\156\174\201\214\214\222\247\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\251\207\197\165\1685\210\141\185c\152B\136\231\152\197\160\206\193T\206\208\193\240\193\174\185\141\181*\169\199\160\199\160\133\152@\136\0\128\0\128B\140\198\156\016\202\019\210\169\164d\152K\181\215\230\255\255\255\255\255\255\255\255\255\255\255\255\254\255\255\251\216\222\240\197\215\222\183\218*\177\230\160\231\164k\185m\193\233\176\233\180\134\172\232\180+\185\174\193\016\194R\198\214\214\214\218\248\222\247\218:\231:\231|\239\255\255\255\255\222\251\222\251\255\255\254\255\254\255\255\255\255\255\255\255:\235L\1813\214\151\218\018\202S\2022\194u\210\025\235\208\197\011\185m\193\150\226\150\222\207\193*\177\133\160\165\1641\214\149\230\009\169\134\160\166\164\232\172K\189s\218\174\201d\180\198\196\164\192\173\217\174\209\034\152\173\197k\185\007\169\131\148 \136\0\128\0\128\0\128\0\128\0\132\001\132\132\168S\210\195\172\164\172j\193\228\233K\246\131\160\198\1682\214s\222s\222\015\210\239\205\142\193+\177\166\164\132\156d\156D\152\165\160\007\173\170\193\131\213\005\234D\242E\242\229\221f\201F\193&\189'\165&\165\004\169\003\177\002\185\0\193\0\201 \209\224\204\001\201\225\180\169\193\204\189Q\202{\243\223\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\156\243!\132\0\128\0\128\0\128\0\128\0\128a\140\146\210Y\235\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\251\223\255t\218f\160\018\210\018\206(\173k\181\008\169\132\152\231\164\231\160\132\148\132\148\131\156\007\173\230\164\131\148A\140\0\128\0\128c\136\176\1974\214\240\201\174\189K\181)\177\199\168\166\168v\214(\173!\136e\1523\206\009\177\164\164S\202{\239\255\255\223\255\024\231R\214+\185\018\210\241\197\165\156\198\156b\148b\140n\1853\206c\160*\189\247\214\255\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255t\218\165\168\210\201\017\202\232\168c\144\132\144c\152\165\160\134\156\164\156\007\169\164\152B\140!\136!\132d\144\166\148 \136\0\128\0\128\0\128 \136\231\164\241\201\152\222K\181e\156\140\189[\243\255\255\255\255\255\255\255\255\255\255\255\255\222\247T\206+\177\248\222U\210l\185\199\168\199\168+\185\208\201\176\197t\214t\210s\210T\214\240\197\240\197\208\201\142\193\175\197Z\235\189\235\157\243|\239S\202|\239\255\255\255\255{\239\223\251\255\255\255\255\255\255\255\251\255\255[\243\233\168\019\214\215\214L\177\009\165*\173\142\193\149\222;\235T\214\234\188\010\185\167\164e\156\010\173K\181\140\185\180\218\142\201\133\164\207\201+\193+\193\017\210\174\205*\193I\201\162\188\195\196r\238S\226c\156k\185\238\193!\136\0\128 \132 \132!\140A\144c\152\165\164\010\169+\1893\210\230\176\133\164\138\193\228\225\138\246i\193A\156\198\168\198\168\163\164a\156\132\160\132\156\165\156\230\168H\177\138\189\171\193\171\197\168\197\133\193\196\225f\250c\254!\250\002\238\161\217b\205B\205 \197\0\193\224\192\0\201 \209A\217 \217\0\217\0\217 \209\001\189\168\189\236\189\246\218\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\189\247c\140\0\128\0\128\0\128\0\128\0\128@\136q\2068\231\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\251\255\255\215\226\134\160\208\197S\206\231\160\198\156\164\152\165\156\231\164)\173\140\185\206\1974\210\019\206T\210\141\185C\144\0\132\0\132b\144\175\197\018\206\199\160\133\152\165\152\198\160\198\164C\1564\206I\177\034\140E\152\018\202\141\189c\164\241\1979\231\255\255\255\255\222\247\024\235\010\181m\185U\206\231\168\231\160b\148\163\144,\1814\210\165\168\166\172\181\210\189\243\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\248\230\132\164M\1933\202\174\193\165\160a\140\165\160K\185\233\176d\148\198\160\165\152b\144b\144c\148\164\156\198\168\009\169\133\148B\140\0\128\0\128 \136\133\152\174\189\150\222\009\177\133\160\148\218\190\251\255\255\255\255\255\255\255\255\254\255\255\2514\206\233\172\149\214\142\189\167\164\198\160\140\1853\2103\214\176\201n\193+\181\009\177\201\184\135\164S\210u\214\175\193+\181\019\210~\255\255\255\190\247\215\218[\235\190\247\189\247\024\227\189\247\223\255\255\255\255\251\255\251\255\255[\243e\160L\189\182\214\200\164\167\1683\222\141\201\009\177\149\218\025\231\149\218t\210S\206T\210\018\214\176\209\141\205K\193\231\176k\193\148\226+\193+\197\174\205\232\188\165\180i\197E\197\200\217\178\230\206\197c\152k\181\016\194b\156\132\160\007\173J\177\174\189\208\1972\206T\2141\210\208\205\141\189\131\160\134\160(\177\164\209J\238O\222\007\181\197\168\230\172'\181i\189\171\193\139\185h\185\235\201\201\197\168\201\168\205\166\205\197\213G\226\136\246\134\254C\254\001\250\034\250\034\246\225\241\192\233\160\237\128\233`\229`\229@\225@\221@\217 \217\0\217\0\205\002\189\169\193\238\189\023\223\255\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\165\148\0\128\0\128\0\128\0\128\0\128\0\128/\198\023\227\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\251\255\255\025\235e\156m\181T\206\197\152 \136\198\156\241\1974\2065\210W\214\022\210m\193\009\181\240\205\207\197c\148\0\128\0\128 \128m\185\240\197\133\148)\1651\198R\206\206\193c\156\209\193\015\206\174\189\175\193T\214\173\189 \156\241\193\247\226\255\255\255\251\255\255\157\251\199\168\167\160v\206\231\168\132\148\0\140a\136\167\160T\210K\193\198\176S\202{\239\255\255\255\255\255\255\255\255\255\251\255\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255[\247\165\168,\1893\1982\206k\189'\169K\181\209\205+\193\198\176)\181\141\193\207\197\208\197\018\202U\210V\210V\214T\210\008\165b\140!\136\0\132b\144`\144\241\201\174\197\132\160\016\206\025\235\255\255\255\255\254\255\255\255\255\255\223\247n\181\233\172\182\218\143\189K\185\197\168\173\201\240\209\009\181\167\168d\160\199\168J\181\208\201\017\202\149\210\025\231\250\234n\189\241\201\026\231\223\251[\235\215\2189\231\190\247\255\255\157\243\248\222\025\227\189\247\255\251\255\255\255\255\157\251\200\172\200\180\151\226+\177e\164m\205K\193\232\176\233\176S\210T\218\240\197\207\189\175\193\233\176\234\184\207\205K\185\007\169\230\168\199\180\174\197T\226\233\192\009\193\140\205\137\197\133\201\141\234\012\198\007\161\166\156\009\1694\2064\210T\214T\214\018\210\240\201m\189*\185\199\172\163\164\132\160A\152\164\160N\181\166\164\192\172#\197i\197i\193\172\197\204\197\203\201\170\197G\181\229\160\201\197\010\210)\214k\230\139\234\138\242\168\246\166\246\135\246%\246E\254#\254\002\254\0\250\0\250\192\245\162\241\161\237\129\233\129\229`\221@\221@\217 \213\224\220\001\213\004\197\137\193\206\189\024\223\223\247\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\198\152\0\128\0\128\0\128\001\128\0\128\0\128\014\190\246\222\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\251\255\255\255\255\255\251{\239e\156\200\168t\210\197\160\132\152\165\1601\210\206\205\232\184\167\176e\172\200\156!\148J\181T\210\132\148\0\128\001\128\0\136\007\169v\202\132\164\009\177\017\194\181\218\150\210\133\160\232\1721\210S\214\206\193)\173\132\152\231\164\239\193\246\222\255\255\255\255\255\255\222\251\141\181d\1522\214+\177 \136!\128\001\132\131\152\017\202\208\197\132\176\019\206:\231\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\190\247S\202\136\172\182\214u\222l\185\199\168\199\168\233\188R\210t\210T\214t\214\017\194\017\202l\189)\177\198\168\230\164\173\197t\222\142\189C\140B\136\0\128!\136\139\1934\198c\160\141\197\216\222\254\255\255\255\255\255\255\251\255\251|\247\134\156\233\172T\218l\185l\181\200\1804\210l\185\010\181t\202\016\1941\1902\202\148\202\181\206\215\218\156\239\155\235\214\226\233\184\175\209\156\243\223\251\025\227\182\214\157\243\157\247\092\243\232\164\018\198:\231;\231|\243\255\255\156\247\016\206d\168m\189\182\226\018\214+\189*\185\238\193j\181k\197)\177)\173\231\164\165\156\198\160\239\197\249\234\018\210\166\168\165\168\008\177\017\210l\193J\189i\197g\197\201\193\178\226\021\235\163\152\197\152\139\177B\152\199\180I\185\007\177\163\160\131\156c\156c\156\131\160\163\164*\161\007\177I\193)\169\229\164\034\197B\209$\193F\169&\177E\185g\193\200\205*\214j\189\137\197\203\242\203\246\235\250\235\250\234\254\201\254\168\254\167\254\134\254e\250C\250A\250 \250\0\250\224\245\192\245\161\237\161\237\128\229\128\225`\221`\221@\217 \217\0\217\0\201#\189\170\189\205\185\025\227\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\008\161\0\128\0\128\0\128\0\128\0\128\0\128\172\177\246\222\221\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\251\189\247K\185\009\177S\214\140\189\231\168\009\173\207\197\173\189\132\148I\169Q\202\017\198\198\168(\177U\210\198\156 \132\034\128!\136\229\164v\202\166\172\231\172S\202Z\239}\239\240\201d\152d\152c\148d\148\165\156\008\169\173\1851\2029\231\255\255\255\255\255\255\255\255\240\193d\152\017\210m\185A\140\0\128\0\128c\152\240\197\242\205\131\172\242\201\025\231\255\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\251\215\218\234\180t\206L\185\199\164\200\172\142\197\175\209\148\218\175\189m\193\174\193\133\148d\152\133\156\166\160\232\172\230\164c\152l\189S\214\199\156!\132\0\128 \136J\185U\206\132\164K\189\183\218\222\251\255\255\255\255\255\251\255\255}\247\010\173L\185T\218\207\197\166\160\233\176U\210\140\185\133\1603\198\180\210\213\206\248\2229\227\156\239\189\247\255\251\255\251[\243+\189\233\176\183\218\216\222t\206\183\218:\231\092\239\158\251\150\214\182\218\026\231\182\214T\210\157\239\255\255|\239\240\201e\168\234\184T\214\149\214\175\193\201\184\234\188\142\193k\181\131\152\165\160\231\172)\181l\197m\201\234\188J\185\173\197\016\210\148\226\173\197\139\189\169\193f\189\171\201\154\255\022\231\0\128I\169\015\202\198\164\133\164\166\160\132\152\198\160k\181\141\189*\177)\177\139\189H\177&\193\228\180\163\156\226\172\163\225\005\242\009\230g\185F\197c\201#\193C\193\166\193i\181\203\205\205\242\205\242\237\246\237\250\236\250\202\250\169\250\136\250f\254E\254$\254\002\254\002\250\226\249\193\249\193\245\192\241\160\237\128\233\128\229`\225@\221 \217\0\213\0\217\001\209\002\193\137\193\238\193\214\218\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255J\169\0\128\0\128\0\128\0\128\0\128\0\128j\173\246\218\221\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\222\251\240\201\167\1683\218+\189D\160e\164L\189\017\210d\152\173\1851\198\150\214J\181\165\164T\210\232\164@\132B\132B\140\131\156U\206\009\181\133\164R\202{\239\255\255Z\2391\202\141\185\141\185\239\193\239\193\240\1932\202t\210\156\243\255\255\255\255\255\255\255\255\148\210d\148\207\201\208\193b\148\0\128\0\128b\148\141\185\019\206B\164\143\193\248\226\255\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\157\243\151\226\215\222m\185\208\1973\214\018\210M\1932\206\206\189\232\172S\2101\194\239\189\207\193\239\1932\202Q\206\199\164\200\168t\218\232\164\0\128\0\128!\136\231\172\150\210\198\172\231\180\150\214\189\247\255\255\255\255\255\255\255\255[\243+\173\175\197S\214\141\189d\148\232\172\151\214)\177\199\164v\214\024\227\189\243\255\251\255\255\255\255\255\255\255\255\255\247S\210\200\172\201\172T\206\151\218\150\214\026\227\150\210\249\222\092\239\249\226S\206\025\231T\206,\181\026\227\255\255\255\247\026\231\175\205\168\176\011\189\018\206\183\226\143\201n\201\241\213*\193\165\172\009\185\140\193\206\2010\210\148\222\213\226\181\234\148\230\205\197\206\1971\210q\214\012\202\168\189l\205\024\243\015\198\0\128\205\189\016\206\206\201\205\201\209\209m\189K\181K\181*\181\132\164A\156&\181\225\188D\205\194\180\162\164c\205\226\245\002\250\229\225\004\181\167\221G\246I\242)\226\232\201\007\173\135\193D\189\133\197\232\209J\222\140\234\204\242\204\246\204\246f\254E\254D\254#\254\001\250\224\249\192\245\192\245\160\241\128\237`\233@\229@\229 \225\0\217\0\213\0\221\001\213\225\192\136\193\237\193\022\227\221\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\173\181\0\128\0\128\0\128\0\128\0\128\0\128(\165\213\218\188\247\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\251\223\251S\214#\156\241\213S\206\009\169\142\189\018\2103\210e\152\141\181\149\214:\235\207\197\132\156T\214K\177A\136!\128\0\132B\148\019\202\141\193c\156\240\1979\227\255\251\222\255:\235\148\2102\202R\202s\206\149\210\024\227\190\247\254\255\255\255\255\255\255\255\255\255\248\226c\148l\189\018\198b\148\0\128\0\128A\144*\1735\214\165\172L\185\214\222\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\150\222\150\214\242\201\176\193T\2143\210L\185\207\193S\214\133\164\240\201\148\214t\210t\210\149\214\215\218\247\226\140\185\133\160S\214*\173B\136\0\128\0\128\132\160u\210\009\181\165\172T\206\156\239\254\255\255\255\255\255\255\255\149\214\167\156\018\2062\206*\177\132\152\009\177\150\210\166\168\132\156n\193\247\230\255\255\255\251\255\255\254\255\255\255\255\255\189\243\141\185M\189T\2143\210T\2102\2023\202l\177\240\189\017\198l\177\232\164\149\222\149\218\233\176\182\222\156\243\254\255\221\255\213\230\238\201\009\189\134\184\207\213Q\214P\210\205\2050\2140\214\148\222R\2181\210\239\209\172\197)\185\198\172\232\176d\156\008\173s\2148\2398\239\154\251\026\247[\243j\169\197\144\015\194\173\193\206\205j\197*\205\009\197\008\189\197\180\197\188\130\184@\172f\205A\209\133\217\194\180\226\176\163\221\224\249\224\245\162\221\003\181\198\229C\254f\254i\242)\218h\185L\226+\222\233\209\133\197C\185#\185D\189\134\197\167\205\008\222'\226&\230%\238$\242\002\246\225\245\224\241\192\241\160\237\128\233`\233@\229 \225 \221 \217\001\213\034\205\002\185\136\189H\173\023\227\254\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\239\189\0\128\0\128\0\128\0\128\0\128\0\128\197\152\180\214\155\243\255\255\255\255\255\255\255\255\255\255\255\255\223\255\255\255\255\255\255\255\255\255\025\235\134\164m\197\182\218t\214\018\210\018\210\143\197e\156\207\193\150\218\190\247t\214c\152\018\206\142\185A\136\0\128!\132!\144\175\197\240\201c\156\174\193\249\222\254\247\255\255\255\255\190\247\156\243|\239\190\247\255\255\223\251\255\255\255\255\255\255\255\255\255\255\255\255[\235\133\156\232\176v\210\197\156 \132\0\128A\140\232\164U\214)\181\232\176\148\218\189\243\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\150\218\176\193\150\222\175\1933\210l\185\199\160\142\193\017\206e\164\141\189\182\218|\243\157\247\190\247\223\251\190\247\017\202e\1562\214\140\185c\140\0\128\0\128c\152\018\202K\189\132\168\018\198Z\231\254\255\255\255\223\255|\243\175\189\200\160S\210\141\185)\173\230\160\199\1724\206\134\168*\181\168\176+\189:\247\255\251\255\255\255\255\255\255\255\255\156\239K\177\142\193u\214*\181\008\169J\177k\181\230\160\231\160\007\165\165\152d\152\017\206\182\230*\185\015\206.\210\144\218\012\218\233\213\233\201\011\206'\197b\180\230\184\204\197\237\197\141\201*\185K\189\166\168\165\164\231\176\197\172\229\176\008\177\141\193\240\197s\210\182\2189\231\156\243\255\255\223\251\255\255(\157\230\148q\202\146\218P\226(\205H\213\171\217\204\221h\205G\209\227\200`\180e\205\132\213d\205\161\172\002\185\194\225\192\245\224\241\163\217\003\181\229\233 \254\034\254g\250\007\222%\189l\238\170\250\171\246\171\242\139\238J\226\232\213e\201$\193\227\176\226\176\226\180\001\185\034\193D\201e\209\134\213\163\213\164\217\164\221\132\221c\217A\209@\205@\205\002\197E\197\227\172\170\185\131\144\239\185\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255R\202\0\128\0\128\0\128\0\128\0\128\0\128\131\144\180\214z\239\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\157\247K\181\134\168\234\184N\201\235\188f\168\168\168m\185\017\198\215\218\222\251\215\222c\156\142\197\241\197b\140\0\132\034\132!\136L\1893\206b\156K\189\249\218\253\251\255\255\255\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\156\243\008\169\133\164w\210\007\169A\136!\128b\144\232\168U\214\173\193\166\172R\210\155\239\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\251\018\202\201\172\215\226l\181\174\189\232\168\166\156\010\185\149\218\200\168l\181\214\214\223\251\255\255\255\251\255\251\223\251\150\218e\156\207\197\206\197c\144\0\128\001\132c\152\208\197\174\197d\168\208\193\025\223\253\255\255\251;\243l\181\167\160L\177u\214l\181\231\160\131\148l\189\150\214S\222S\218,\189+\1973\218\189\247\255\255\255\255\255\255\255\255{\239*\177+\1813\206\164\160c\156(\177(\177\197\160\131\152\197\160\230\168e\160m\193\239\205\132\168\170\193\202\201+\214\201\221\006\218\198\213\232\209m\214\203\197\231\180#\160e\160\166\172\199\172\010\177\010\177\140\185\205\193\237\193\235\1930\198r\206s\206\180\210\246\218\188\243\255\255\255\255\220\251\254\255I\169\006\153.\194O\214\236\225\006\213\135\217\011\226o\234\012\218\201\213$\197\128\172D\189\133\201\002\181\161\168D\201\194\233\192\245\194\237b\205\034\181\006\234 \254!\254D\254\005\230\003\189J\234e\254e\254f\254g\250\136\250\137\250j\250j\250H\238'\226\196\213b\197\001\185\160\176\128\168`\164@\156@\156@\160a\164a\164`\164\161\172\226\176\003\185%\185\129\156\204\189\164\148c\136\157\243\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\148\210\0\128\0\128\0\128\0\128\0\128\0\128B\136\147\210Y\235\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\248\226\142\193\233\168\208\197\241\197\017\198R\198R\198\181\202z\223\255\255\092\239\197\164\010\185U\210\197\152 \136!\128 \132\232\172T\206\131\160\232\180\183\214\187\247\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\254\255\255\255\255\255\255\255\222\247\140\189d\160V\202j\181b\144B\132a\140\165\156\019\206\174\189c\164\016\206Y\231\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\251\240\197\135\172\149\218*\173\008\165\165\160\008\169\010\193U\218\201\172m\185\149\214\189\247\223\255\255\255\255\255\255\255\248\226\133\156K\181\016\202\165\152b\140\198\152\133\160\207\193\241\205d\168\175\189\248\214\253\255\223\247m\185\134\156\018\202\183\222\149\214*\173\198\156\007\165\173\189\241\193\140\189\239\2013\214\234\192\142\1979\227\255\255\255\255\255\255\255\255\189\247l\185\233\176\148\214\198\172\165\164\008\177\008\173\231\172\009\177\140\193\206\205\241\217\017\214\174\201\132\168\170\189\202\197\010\206,\222K\214n\230\236\213\237\197/\190\239\189\010\177n\193\172\173\140\173\009\157k\169\206\189\238\193q\218.\210\245\2228\231z\235\220\251\219\251\253\255\154\251\023\239\177\234\179\230\006\169\163\152\170\189h\197f\209$\217C\213e\209\234\217\168\205f\201E\201\193\176\004\177\135\189\195\172\194\180\132\217\160\237\192\245\196\237C\205\001\185\229\233 \250\001\254#\254\004\234\002\189\231\213C\254#\254#\254C\254D\254D\254D\254#\250!\250\034\246\034\246#\242$\238\228\229\164\221\132\213%\201\228\188\163\180b\168@\160 \160a\168\162\172\004\189\227\180\129\160\236\193\204\185 \132\239\189\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\222\251\255\255\255\255\255\255\255\255\255\255\255\255\214\218\0\128\0\128\0\128\0\128\0\128\0\128 \132r\2028\231\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\247\255\251\216\230s\206t\206\214\218\182\214\181\214\182\218:\235\223\255\255\251\223\251)\177\200\172U\210\198\156B\144\034\128\0\128\165\164u\206\197\168\167\176v\206\154\243\255\255\255\255\255\255\254\255\255\255\255\255\255\255\255\255\255\255\255\255\254\255\255\255\255\255\255\255\255\251\016\202C\1605\194\140\189A\144\001\128\0\128B\148\209\197\207\193B\160\238\1978\227\255\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\251\207\193f\168t\214\140\181\008\165\198\160\140\185L\205T\210\209\201\150\214\214\214\222\247\255\255\221\247\221\247}\235\241\193C\148l\189R\214\198\156\165\148\198\152\166\164\207\1973\214d\168\142\185\215\214\220\255\191\243\176\197\143\189T\210\241\197\240\197\140\181(\169\230\160\165\152\233\160\230\152\008\169\149\214\168\184*\181\023\219\223\251\255\251\255\255\255\255\222\251\174\197\134\1641\206\240\205\174\197\240\205\240\205\207\205\174\201\141\201\175\205K\197\009\189l\197\008\185\204\193\203\189\234\189\169\197\207\197\172\177\139\169l\181L\177\173\181\140\169j\165k\173\141\181\017\194\248\222[\235\023\227\153\247\218\251\154\2478\2357\235X\243N\214-\214\012\214\204\209\005\205\236\217&\181@\144\138\197F\201D\209\034\213!\221\034\213\167\217f\205%\205\136\217%\193\194\172\005\169\161\160\002\193\131\229`\237\160\245\196\237\002\201\0\189\228\233\0\246\0\250\002\250%\238#\189\198\197E\254%\254$\250#\250B\250!\250!\250\0\250\227\253\226\249\193\245\192\245\192\245\192\245\160\245\128\241\160\237\128\229b\225c\217c\213\034\205!\205\034\205%\197\004\185\004\177\203\197\178\218\006\161A\136\155\243\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\189\247\024\227\156\243\255\255\255\255\255\255\255\255\255\255\024\227\0\128\0\128\0\128\0\128\0\128\0\128\0\128Q\202\023\227\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255Z\235{\239{\239\156\243\189\247\222\251\255\255\255\255\255\255\191\255\176\181\131\1644\210\233\168b\140d\144B\136\162\1604\202,\181\132\1682\206[\239\255\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\251\255\255\255\255\181\222A\148\206\193\242\193d\144\0\132\0\128B\140J\1815\210c\160K\185\215\218\255\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\251t\210d\160\018\214\207\189\196\152\131\144+\181\009\2013\214U\218\143\193\150\222\248\230\183\226\208\193K\177\010\177\002\140\010\169t\210\240\193\140\185\132\152a\148\009\173u\222\141\189\133\152\240\193\215\222\189\247\222\251\208\193\142\189T\214\140\181\139\173\230\148\197\148\164\148a\136a\132A\144d\164R\218*\181\231\172\148\214[\231\156\243Y\243\179\226\178\226\171\201A\160\198\184\240\213\174\205k\193J\193k\197\173\205\140\201\198\180\232\168\199\164)\173J\173\008\165I\165\205\181/\190R\194s\202\182\210\216\218\249\226\250\230\248\230\181\222\180\214\023\227\213\214{\239\180\218P\214\236\209\202\213\168\205E\193%\197f\213\003\209%\209\012\222\186\255V\235U\239p\210\0\132i\185\134\201\034\217$\237\135\217\135\213\135\197\136\189i\181j\177j\177\231\164\163\164\194\172b\209\128\225`\233\160\241\163\233#\193\003\177\227\233\192\253\224\245\002\250\001\250\129\217\004\177#\246\034\250\034\254 \254 \254 \254\0\250\225\249\224\245\224\245\192\245\192\245\160\241\160\237\160\233\128\229a\229a\225A\221 \221 \221 \217 \213!\205A\205#\189\170\189i\169\152\239\210\218\0\128s\202\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\222\255\255\255\255\255\255\255\255\255\254\255\247\230\140\1859\235\189\251\255\255\255\255\255\255\255\255Z\235!\136\0\128\0\128\0\128\0\128\0\128\0\128\014\190\022\227\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\255U\202b\1604\210\208\197\198\156\198\156c\140\130\156\019\198\143\193\131\164\240\201:\235\255\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\251\255\255\255\255\247\230c\152\140\185\019\202\133\148\0\132\0\128!\136)\177U\210\132\168)\177\182\218\222\247\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255}\243\133\168\175\201\018\206\131\152\165\156m\189\233\192\208\197\241\205\134\160\134\160D\152\200\168K\181\233\172\010\173K\181S\206S\206\009\165\165\152B\144)\1733\214\208\201\133\156l\177\016\194\214\218\255\255\189\247l\193\199\1762\222\166\168\165\160B\148!\144\132\160C\152\132\152\232\172*\181s\214*\173\199\164\017\202k\218)\214\008\214\233\213L\222-\218I\193\198\184\197\184\197\184\198\180\008\181*\177K\173\141\177\142\177\175\177\174\173\207\181\240\189\240\1932\206\148\222\181\226\179\226\146\222q\222P\218N\218-\218*\214\231\205\012\230o\234N\222v\251n\226\201\217\002\205#\221!\221B\221!\221!\225\001\225\001\221C\209+\222\152\255\186\255y\243\132\144j\181\168\193g\193k\201\207\185\173\181\173\177\015\186\171\177\237\193.\206\137\189\164\168\004\189A\217\128\233\128\229\128\229\196\233\224\188\003\177\195\233\192\253\224\249\225\245\001\250\162\225\002\181\195\225$\246\0\254\0\254\0\250\224\241\002\250\224\249\224\245\192\245\192\245\160\241\160\241\160\237\128\229\128\229@\225a\225 \217 \221 \221\0\213\0\205B\209c\205g\193i\177\171\1736\227\211\218\163\148\009\161\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255Y\2391\206\206\197Z\239\255\255\255\255\255\255\255\255\255\255{\239\001\132\0\128\0\128\0\128\0\128\0\128\0\128\238\189\245\222\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\216\218B\156\241\2013\206\165\152c\144B\136@\144\208\189\242\205b\160\140\189\248\226\255\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255Z\239\198\160\008\173U\206\199\156\0\132\0\128 \132\230\164U\210\198\172\199\168\148\214\156\243\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\158\251\010\177\234\180U\218\165\160\132\152m\189l\201\143\1973\214\201\168\010\169m\177S\198\215\214\182\210t\214s\2101\202J\173c\144C\144\133\156\208\1973\218\167\164\199\164\017\198R\202[\235\255\255\255\251\140\189\166\164T\222+\185*\177\009\169m\185\208\201\018\2023\2063\210\018\210\016\202\132\156\198\172\139\189\135\201,\222M\222,\210\012\198\204\181\173\177m\173L\173m\177\141\177\141\181\173\181\239\1891\198Q\202\205\193\204\193\172\193\171\201\171\205\171\213\138\217h\213F\217%\217$\213\003\213\002\209\001\213 \213 \213\194\204%\213f\209,\230\168\217\201\229#\221$\229\133\233d\225d\221C\221D\225f\221f\209g\197j\185\204\189q\202J\165\130\144\012\194H\169\206\181\205\185\237\189.\202\176\222+\214*\222k\234\197\213\129\164\003\193B\221@\229\128\225\128\229\130\225\224\192\227\172\163\229\160\249\192\245\192\245\224\249\226\237\034\193!\189\228\233\224\249\224\249\0\250\225\241\225\245\224\249\192\241\192\241\160\241\160\237\128\237\128\233\128\229`\225@\225`\221 \217 \217\0\217\224\212!\213d\213E\193\203\197\139\177\180\210\245\218\211\218\205\189B\136\156\243\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\254\255\222\255\181\222\016\206t\222\189\251\255\255\222\255\255\255\255\255\255\255\156\243!\136\0\128\0\128\0\128\0\128\0\128\0\128\014\190\213\218\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\249\226\132\160\207\201T\210\165\156!\136!\132 \136L\1774\210\131\164J\181\182\214\254\247\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\157\247*\169\132\160U\210\009\169A\140!\128 \132\164\1563\206)\181\165\160S\210[\235\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\255\215\226\092\239\216\230\142\193\018\206\232\164\231\160\140\185l\189L\177\150\218U\214\151\218U\210\241\197\242\197U\210\017\198\140\177\230\160\131\148\132\152\232\164m\1854\214\233\176\134\160\240\1972\198\024\223\255\251\255\251\255\2553\206\134\156\241\205u\222u\218T\214\019\210\175\197L\189\232\180\199\180\233\188\233\184d\164k\189k\185\141\177\207\189k\177k\177\238\185/\190Q\198\017\194\206\185\206\185\140\185i\185h\193g\201F\201$\197\003\209\003\209\003\209\003\209\002\209\002\213\002\213\001\213\225\212\002\213\003\213\003\213\003\209\002\209\003\209#\213\136\217\202\221\236\229\137\213G\205\137\217G\213%\209J\193I\189i\185'\181H\185(\185I\177j\173l\177\139\177/\198\146\210\0\128\203\189M\210L\214\007\230'\234(\242H\246\006\238\195\225H\242\229\229#\193`\176\034\213A\225 \217\128\225a\221\003\197\194\172\132\221\128\241\160\241\192\241\192\245\002\242\163\217\192\172b\205\003\242\192\245\160\241\225\245\192\245\160\241\160\241\160\241\160\237\128\233\128\233\128\229`\225`\221`\225@\217@\217 \213\224\212!\217d\213D\201\171\197\238\1931\194{\235\212\214\212\2180\202\0\128\024\227\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\155\247\016\2061\210\181\226\156\247\222\255\255\255\255\255\255\255\255\255{\239C\140\0\128\0\128\0\128\0\128\0\128\0\1280\198\213\218\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\092\239\199\164k\189U\210\231\164B\140B\136 \136\233\164U\214\198\172\008\181\150\210\188\243\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\251\142\181b\1604\210L\177b\144\034\132 \132\131\152\242\201\140\193d\156\016\202\025\231\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\025\235K\177K\169;\231\248\226\182\222J\169\165\148\198\156\008\165\231\156J\173\140\181\207\189l\181\009\173\200\164\010\173\231\156\132\148b\144c\148\198\160\141\1893\210\242\205\133\160\141\1892\202\148\210\189\243\255\251\255\255\255\255:\243\200\172\200\180\142\205\009\185\008\181\132\168\198\176k\197\166\176\009\189*\189K\185L\177K\165)\157\205\177\205\185\238\197/\214.\214\236\213\203\221G\209$\209\226\200\226\200\226\200\227\200\226\196\226\200$\205\226\204\003\205\003\205$\205$\205D\201d\201\134\205\135\205\168\209\201\213\234\213\012\218-\222O\222P\226\139\173J\169\173\181l\177K\173k\173l\173k\173l\181\239\189\237\185\205\185P\206\014\198\203\189\013\194.\214\012\218n\234\143\226\196\156a\144\175\234'\238\003\250\004\254%\254\229\249'\246\164\221J\234\232\217\008\226`\172\193\188\133\221A\217@\225\130\229\003\189\130\164d\213\128\233\128\237\160\241\160\241\225\241\227\233c\197\192\180c\205\228\233\160\241\160\245\160\241\160\237\160\237\160\237\128\233\128\229\128\229`\225`\225@\221@\221 \213 \213\0\213 \213B\213#\197%\189Q\206\206\185\247\2189\227\023\223y\239\147\210!\132\247\222\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\156\2479\239\148\222\239\201\148\222\239\201s\210{\243\255\255\255\255\255\255\255\255\181\214B\136\0\128\0\128\0\128\0\128\0\128\0\128P\198\213\218\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\222\247\157\247\200\168\164\168v\214K\177\132\152A\136 \132\199\160U\210\007\181\197\168u\206{\239\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\2553\198b\160\242\201\174\189c\144\034\128 \132a\148\175\193\207\197c\152\174\193\248\230\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\222\251\255\255\255\255\255\255\215\226\200\164t\206\183\210\240\189\140\181\166\148A\136 \132c\136a\144\130\148\196\156\197\156\197\152\196\152A\140c\144C\144d\148\133\156\166\160*\1812\210\241\205\167\160k\1772\206R\202{\235\255\255\255\255\255\255\255\255\223\255\183\226K\185\232\176\166\164\205\197\205\197\139\193\175\181l\173\140\169J\161I\169j\173\138\173\204\193\170\209g\205F\205&\205\227\192\194\192\228\200\228\204$\205E\205\135\209\201\213\235\213-\218O\222\145\226\209\230\210\234\243\2385\243V\247w\251\152\251\153\255\185\255\185\255\183\251\183\251\215\255\215\255\215\255\215\255\013\206\171\193\236\197O\206\013\198-\202\236\197\013\206\010\218K\222)\218I\226\206\246\140\246j\238H\238G\242\198\245\166\245\168\225.\210\130\144\004\177k\246%\254\227\249%\254\005\254H\254\197\225K\234\199\205J\230\168\201`\164\193\184d\221 \221a\225\034\193a\160#\201\130\229\128\233\160\237\160\237\160\237\161\233\228\225!\193\128\172\034\201\196\237\160\241\128\233\162\233\128\237\128\233\128\229`\225`\225`\221@\221@\217 \213 \213 \209\0\209A\213\034\201\004\185\236\197\239\189\016\1949\231\246\222\155\247\221\2518\231\131\144\024\227\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\222\255\255\255{\243s\214\016\202\239\2010\206\181\222j\181R\206{\243\255\255\255\255\255\255\156\243k\173\0\128\0\128\0\128\0\128\0\128\0\128b\140P\198\245\222\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\251\223\255n\185b\160U\206\142\189\132\152A\136 \132\132\152\019\206J\189b\1604\198Y\235\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\216\218b\164\143\193\017\202\132\148\001\128\0\128 \144K\1812\206\133\156l\185\182\222\191\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\255\215\226\167\160\240\197\018\194\198\152B\140\0\128\0\132\0\136A\136a\140\131\148b\144A\144\133\160\232\172\200\172\010\181\141\189\208\197\018\210\018\210\018\2142\214)\177c\148\017\194s\202\025\227\255\255\255\255\255\255\223\251\255\255\255\251\189\247s\2101\206\205\185\173\181\172\177\139\173\207\181\240\193\173\181\203\185\137\193&\189$\189%\205\004\201&\209H\213\170\217-\226o\230\177\238\243\2464\243U\247w\255U\2554\251U\2554\255\242\246\016\247\239\242\207\242\174\238\141\238m\238l\234+\234\010\234*\238)\238\007\234\006\234\005\234\005\230\005\230\194\245\227\245\003\250$\254\002\246\003\250\003\250\003\254$\250#\246\003\246\003\246\004\250\004\254$\254\002\250\003\254\034\241 \220\195\216\011\222\235\189\0\136\235\205\138\250i\250H\246H\246i\246)\230l\230K\218T\247\150\251\167\197\128\172$\205!\217@\221A\205b\160\193\184\130\225\128\229`\233\129\233\128\233\128\233\128\233\196\225\002\189`\168\001\193\164\225\162\229`\225`\233`\229`\225`\221`\221@\217 \217 \217\0\213 \213!\213!\209\001\205\002\189\136\189\014\194\172\177\213\218\023\227\022\227\187\247Y\239\212\218\195\148Z\235\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\254\255\255\255\255\255\255\255\222\255\222\255Z\239\156\247R\210\239\1971\2101\210\206\197\015\2020\202[\243\222\255\255\255\255\255\189\2472\198c\140\0\128\0\128\0\128\0\128\0\128\0\128\231\156Q\202\023\227\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\2553\206\131\1683\202\208\201\164\152\164\144B\136C\148\209\197\173\201b\160\242\189\024\227\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255;\227B\164L\1813\210\165\148\001\128\0\128\0\136\233\168S\210\166\160\009\173\017\202\025\227\223\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\025\235e\156K\185T\206C\144\0\136!\132!\140A\148\164\148\199\164\009\173l\181\208\193\018\2024\206U\2104\202\208\201\176\201\175\201M\189\011\185\166\164b\152\205\1971\194\181\210\255\251\255\255\255\255\255\255\255\255\255\255\153\239\179\218\015\206\172\197\172\189\237\189\014\194\014\194+\218\201\217E\197%\189&\201\170\213\012\214p\238\018\2314\243T\2514\2472\247\017\243\206\238l\234I\238\231\229\230\233\197\237\162\233\162\241\161\245\128\241\128\241\160\241\160\245\160\245\128\245\160\249\128\249@\241\0\233`\245\161\253\160\253\160\253\160\253\160\253\192\253\002\242\002\246\225\245\192\249\002\254\224\249\001\250!\250\224\253\034\254\001\254\002\250\004\254\004\254%\254$\254&\254'\237$\216\229\224\166\221\207\230$\165\0\132L\218\240\242\240\242S\255u\2554\239\178\214\244\2144\231\018\227\141\222\192\176@\172\003\213@\221`\213\163\164`\168a\217\128\229@\225a\229a\233`\233\128\241`\225\198\217\004\181 \156\160\180A\209\129\225`\229`\229`\225@\221@\217@\217 \217\0\213 \217\0\209\001\209\034\213\224\196D\193\235\193j\169\016\194X\231\212\2226\235X\2397\235\204\181\196\148Z\235\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255{\243\156\247\222\255\189\251\156\247\024\231\247\226R\206\148\222\239\201t\218\149\226\017\210\140\189\205\189z\239\222\255\255\255\255\255\189\247R\202\132\144\0\128\001\132\0\128\0\128\0\128\0\128\0\128k\173r\206X\235\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\150\214c\152\206\201\207\197\165\156\230\152\133\148c\148\205\193\018\206e\160\141\197\247\218\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\247\255\255~\243\006\169\229\1641\210\198\160\0\128\0\128\0\132\164\156T\210\232\168C\148\132\156\165\164\181\230\223\255\255\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\156\243\165\148\233\1723\214\200\164\232\164m\181\174\189\241\1973\206S\2102\210\017\210\240\205\141\193\009\181\198\172\165\168+\193\134\172d\160\233\176*\177K\177\017\198\016\194t\206|\239\255\255\255\255\254\255\254\255\220\255\245\234q\210r\214s\214Q\206\015\202\237\197\170\201h\201F\197\201\213,\222\208\238\018\247\241\250\241\250\175\242H\242\005\234\195\229\161\225\128\225\128\229\128\233\128\233\128\237`\237`\241\128\241\129\241\161\241\161\237\161\237\162\241\162\241\162\241\195\241\195\241\196\241\195\237\163\237\128\229\194\237\228\241\227\241\226\237\002\238\002\238\002\238\002\242\002\242\003\242\005\242\006\242\230\241\006\246\007\246'\246&\246'\246G\246G\246h\246h\246\137\250p\246\145\246q\234\179\238O\218V\247\019\231\003\157@\132\244\222\217\251T\247R\247\239\234\232\201\010\206\005\226D\222\166\222H\214\160\176`\176$\205A\209\226\172@\156\001\193c\221@\225@\233@\225a\221`\225`\221a\225\131\225\001\197`\168 \156\198\172\034\221B\221A\221A\221A\217 \217\0\213\0\217\0\217 \217\034\201\225\180g\185\236\193I\173\173\185\024\227\244\218W\231\246\222\246\222\178\214i\173\199\156{\239\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\255\255\255\255\255\255\255\255\255\255\255\255\255\222\251\173\189s\214{\247Q\210\181\2261\210R\214\008\173\173\189\232\168)\1731\2069\235\156\247\156\247\221\251\255\255\255\255\024\227k\173B\136\0\128\0\128\0\128\001\128\0\128\0\128\0\128@\136/\194s\206\189\247\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\249\226c\152k\189\241\201\199\160\230\156\133\148c\148\140\185S\210\134\164k\189\215\218\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\254\255\255\255\255\255\223\247u\210\132\152\165\1562\210\009\169\034\132\0\128\0\132\132\156\018\202\241\201\174\193\173\193\165\160*\185\248\230\255\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\189\251k\177\134\160S\218T\218T\2182\210\018\202\175\189L\181\233\168\167\160\133\156\133\160\165\160\166\164\008\173J\1812\210\240\1972\206\017\2022\202s\2021\194\181\210Z\239\255\255\255\255\255\255\255\2558\231\147\214P\206\147\214\147\2100\202\171\193H\193\136\205,\222\174\234\243\254\241\250\174\242)\230\229\225\163\225\129\225\128\229\132\233\164\233\230\237)\242k\242\140\242\173\242\207\246\018\243\018\243\018\2472\251S\251T\251t\251t\247t\255t\251T\251t\251t\251u\251u\251u\251S\255S\255S\255S\255S\255T\255t\255t\255\147\247s\247s\247s\251s\255s\255r\251r\251\150\247\183\251\183\255\150\251\150\247\183\251\184\251\184\247\148\251\181\251\182\251\150\247\142\218\208\230\241\234\174\222\130\140@\132.\202\240\234'\222\136\234\230\205\234\197H\230G\234\137\242\170\242\138\230\192\172`\172\229\196%\197 \160\128\168D\201a\213@\221@\225 \221@\225@\225 \221A\221c\221D\209\128\176\0\156 \152\163\172$\197C\209\034\213\034\213\034\209!\209!\209!\201\002\193\136\197\203\193i\177\173\185\024\227X\2358\231y\2396\231p\206Q\202\197\152\139\177\156\243\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\251\255\255\156\247\222\251\222\255\255\255\255\255\255\255\156\247\016\202{\247R\210\239\1971\206\206\193\206\193\140\189\214\2221\2061\206\024\231\189\251\254\255\254\255\255\255{\239\016\194\132\144\0\128\0\128\0\128\0\128\0\128\001\128\0\128\0\128\0\128\006\1610\198\181\214\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\092\239\165\160)\1812\210\166\152b\144C\136B\140\008\169T\214\167\168\232\176\149\214\189\247\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\251\255\255\255\255\255\255\255\255\223\251S\202\167\156D\144\200\1604\210m\177d\140\034\132!\136c\148\240\1932\210\207\197S\214*\181\134\164t\218\156\243\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\149\214\132\160\165\164\230\172\198\168c\152\132\156c\152\132\156\010\173+\177\141\185\240\1971\202\016\198\015\1940\198s\198\214\214\214\214\214\214\024\2199\227{\231\190\243\254\255\254\255\255\255\189\247\214\218\147\210\213\222\146\214\236\209\138\205\137\205,\218\241\2342\243\174\242\010\234\164\225\197\225\230\221\008\222k\230\239\2421\2472\251u\255u\255u\251t\251S\2472\2431\2391\235\238\238\206\238\173\234\173\234\140\230\139\226\139\226\138\222\139\222\139\222\139\222k\222\138\222\139\222\139\226\139\226\172\222\172\222\172\222\173\226\173\226\174\226\174\226\174\230\206\226\206\226\173\230\206\234\205\230\204\230\204\226\236\226\170\230\170\230\170\234\137\234\137\234\137\230i\222\139\222\135\230E\222F\222G\226\196\213\229\221\005\230g\246+\206\195\156 \136\234\197\237\242\235\246(\222\168\197\138\218k\234\198\233(\246\170\246\205\242f\197A\164\227\184\131\168B\156\195\176B\205 \213@\221@\221@\221@\225 \221 \221 \221B\217#\209\002\201\131\160 \144\0\144@\156\162\172\194\184\225\188\001\197D\193\136\201g\189\138\189\138\181\205\185\214\218\156\243\245\222\188\247y\239o\206o\206j\173\0\128\204\185\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\255\255\255\222\251\255\255\255\255\255\255\222\255\239\197\180\218\255\255\255\255{\247\189\251R\206\140\189Z\243\239\197\016\202\173\189\007\165\140\181Y\239\189\251\222\255\221\251\254\255\255\255\221\251\246\218\172\181\198\152!\132\0\128\0\128\0\128\0\128\0\128\0\128\001\128\0\128\0\128@\136\014\194\014\190Z\235\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255~\247\230\164\198\164U\218*\169!\140\001\128 \136\132\152S\210\233\172\198\168t\210{\239\255\255\255\255\222\251\255\255\255\255\255\255\255\255\255\255\255\255\223\255\255\255\255\255\156\239\009\165\133\1523\2063\206\150\218\141\181c\136b\136A\136\0\136c\140\199\156\133\152\017\202\141\193D\156\240\201Y\231\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\156\2431\206\232\168\199\164)\173K\181\173\189\174\189\017\202\017\202\017\198\018\202S\206\148\210\181\210\214\218\024\223[\231\189\243\222\247\222\247\222\251\255\255\255\255\255\255\254\255\255\255\024\231\180\2188\235\245\230\013\202\136\185\013\222\144\230\242\242\175\238\233\229\165\225\230\229\137\238\017\243T\255S\251s\255S\251\240\238\206\234k\222I\218'\214\230\209\196\209\195\213\162\213\161\213\129\217\194\217\162\217\162\217\162\217\162\217\162\217\194\217\194\217\160\217\192\217\192\221\192\221\192\225\192\225\192\225\192\229\224\217\224\221\224\221\224\221\224\225\224\225\224\225\224\225\192\229\192\229\224\229\0\230\224\225\001\230\002\230\002\230\002\234\002\238\002\242\225\241\002\242$\246$\238\004\234E\234D\234e\238\135\238&\226\228\225\226\233\001\242\228\217\141\230\005\169\0\128g\173\142\218\009\214\010\226d\185#\189f\209\200\221\009\226\199\217\199\217\166\217\128\168\130\168\0\144 \156\004\193B\213 \213\0\213 \209 \213 \217 \217 \217 \213 \213!\209\034\205\226\192\129\172 \156\0\144@\152\227\172E\189\170\193\138\185i\177\139\181\238\189\214\218\156\243\024\227X\235\155\243\145\210,\194-\198\130\144\0\128I\169\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\156\247s\210Z\239\222\251\255\255z\247J\177\214\2269\239R\210j\177\246\226\140\185\247\230R\210\008\169\231\164r\210\180\214\023\227\221\251\255\255\255\255\255\255\189\247\148\210J\169\131\140\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128i\173\015\194\147\206\189\247\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\255\140\189\198\164u\218\208\193b\148\0\128A\136\165\156S\214K\185\132\156l\181R\2069\231\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255{\239\166\156\009\173T\206m\181*\173\133\152\0\128A\132 \132\0\132\0\132\0\132\0\132\141\189\240\205\134\164\174\193\023\223\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255|\239\149\2142\202\017\1982\198S\202S\202T\206\214\218\248\222Z\235\156\243\190\247\223\251\255\251\255\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\255\222\247\247\222\247\2268\239P\214\202\197L\218\207\234\204\238I\234\231\229J\234\016\247s\251S\251\018\247l\226J\222\231\209\165\201\166\201\166\201\165\201\165\197\134\197\133\193\133\193\134\193\135\193\135\193\136\193g\189\167\189\167\189\167\189\167\189\167\189\167\189\199\193\199\193\196\205\197\205\229\209\229\213\229\213\229\217\005\218\005\218\003\226$\230#\230\002\226\001\230!\234!\234 \234!\238!\234 \230@\230 \226@\238!\242\001\242E\254%\254$\250$\250$\250\003\246\002\246#\250F\234e\242e\238\135\238I\230\007\226G\246\225\241\194\217\005\226\139\234\135\185\0\128\132\136\203\189\243\246.\230\167\205K\218\240\230\176\222\012\214\200\225\034\229\004\213\194\192`\164 \152`\160\227\184$\205\034\213!\205!\209 \209\0\205\0\209 \209 \209\224\200\0\209!\209#\209$\197&\189i\185\171\185\204\181\139\173j\173\239\189\148\210Z\231\222\251\188\243Y\235\189\247\022\227-\198/\198\229\156h\173\204\185\165\148\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\156\2471\206\008\169\024\231\255\255\255\255\181\222J\177\214\226j\181\139\185\139\185\148\218\231\164\008\169\206\193\247\230\181\218\156\247\221\251\255\255\254\255\255\255\221\247\247\222\140\173b\136\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\230\156\015\194\015\194z\235\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\255\017\206\199\1684\210U\210\197\160\001\128B\136\165\156\240\201\141\189\165\160\199\160d\152)\1739\235\254\251\255\255\255\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\156\243\198\160\198\164T\210\232\164\001\136\0\132\0\128 \128 \132!\140d\144C\148d\148\173\189\017\210\199\172l\185\213\214\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\251\189\2439\227\248\222\025\227[\235\156\239\189\243\222\247\255\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\222\251\222\251\255\255\255\255\188\247\155\243\247\2228\235\146\218\236\201\143\226\241\242\141\230J\222\140\230\239\234Q\239\016\231l\222\009\214\232\205\009\202k\230k\230\240\2423\247v\251\020\235\203\185h\169k\177\140\177\172\181\172\181\173\177\173\177\173\173\172\173\172\185\172\185\204\181\204\181\204\181\204\185\204\189\204\189\205\185\173\185\173\181\172\181\140\181\139\181\139\181\139\181i\181\137\181\137\185\136\185\168\185\233\193\232\193\199\193*\214I\214h\218\200\234e\230E\238%\242G\254\005\246G\246'\238'\242G\246$\246\002\254\224\253\006\242F\250f\250\170\246\173\234\009\214\138\238#\238\164\209\227\229\160\229i\242O\214d\136\0\128(\169O\218\142\230I\226\231\205\202\193\021\243\145\246D\217F\233$\221$\205\162\184@\172\130\176\227\184d\193#\205\002\197#\201\034\201\034\201!\201!\201B\205\0\201\002\201E\197\137\197\203\197\203\189\137\177i\173\239\189\148\206{\235\189\243\255\255\221\251y\239\253\255\155\243\145\206\013\194\007\161 \132\236\185P\202B\136{\239\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\188\251\148\218\140\185k\181\156\251\189\255\214\222J\177\239\197\023\235j\181\015\198J\1771\206\016\202\173\185\023\231\222\255\254\255\254\255\255\255\255\255\156\243\214\218\140\177\132\144 \128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\229\152\238\189\239\189\247\222\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\254\255\255\255\190\243u\210\008\169C\148\143\1893\206\165\160\0\128\0\128c\152\175\193t\2181\210t\218\233\180e\156S\210{\243\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\222\251k\185c\1603\206\200\164\001\140\034\140\131\144\198\152\009\165,\177\208\189\241\2012\210R\214\206\201\133\164\141\185\214\210\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\254\251\255\255\255\255\254\255\221\251\022\227\245\222\245\230o\218\143\222\208\234\173\230\140\226\207\2341\243\237\222\139\218\010\218,\222\209\234U\243v\243T\235X\231\245\222\179\222P\214.\210\235\201g\185\136\189\137\197\137\201\136\201\135\201\134\201\133\205\133\205\132\205\137\201\137\201\170\197\169\197\169\197\137\201\137\205\137\205\205\193\173\193\173\193\173\193\205\193\206\193\206\197\238\197\016\194\017\194\017\194\016\194\016\194\016\190\239\189\206\185\206\189\204\193,\214\207\242\140\242\140\242\141\242\241\254v\255V\247\013\202h\181\169\193\008\222G\250\226\245\230\245\227\241#\242\202\242T\247\208\222\205\234E\230\229\217\162\229\128\241\162\237*\230\144\218\139\177 \128@\132\137\189n\230\200\213\235\217\169\205f\197$\197\002\205\003\209\003\213\004\221\005\221\005\209\228\188\195\172\129\192@\180\194\188\003\189$\189\194\180`\172`\176\128\176F\193\171\193k\177i\169\137\173\204\189P\2109\231\156\243\222\251\255\255\255\255Y\235X\231\252\255\245\222i\173\230\156\0\128\0\128b\140\131\144A\136\247\222\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\222\255\214\226s\214\206\193\239\201Z\243s\214\205\189\007\165\148\214\246\226\181\218s\214\231\164R\210\189\255\189\247\255\255\221\247\255\255\222\251\023\227\206\185\008\161B\136 \128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\230\156\238\1890\198\180\214\156\243\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\254\251\025\223\010\165\165\156\010\1774\210U\210\165\160c\136A\132B\148+\177\240\197K\181\142\193\018\222D\160\141\189\247\226\255\251\255\255\255\251\255\255\255\255\255\255\223\255\255\255\255\255\222\251\239\197B\156\019\206\175\193\142\189\208\1932\202t\206U\2065\210\241\197\142\193K\181\230\164\132\156C\152\017\198\182\206\189\247\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\254\255\254\255\254\255\255\255\254\255\255\255\255\255\255\255\254\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\254\255\155\243X\239y\243\245\226o\226\143\230\174\234\206\238\239\242\206\234l\218L\214\208\2303\239U\243\244\238\145\230-\218\234\209\167\201e\197\135\201f\201\168\205\201\209\136\197\170\197\236\205\167\197\167\197\167\197\167\197\168\201\201\205\202\205\201\201\136\201\168\201\168\201\168\197\135\197g\197f\201f\201\132\205\132\205\132\205\132\205\165\205\165\205\166\201\166\201\168\201\168\201\169\201\170\201\203\201\204\201\237\205\014\210r\206\014\206\235\213M\238l\238\017\247u\247\217\251\221\255\247\218\142\165\241\177s\206-\218(\242\005\254\226\253\224\253\0\254\002\238l\238\233\221\007\238#\254\194\225\162\233\163\245\196\245\164\221\008\214m\214\170\193\199\156 \132 \128F\177+\222*\234\133\217e\213\165\209#\197\003\201E\225\003\225\003\221H\221\008\205\229\208\163\196\005\197\195\176\195\176\229\184\196\184\164\188\171\201\138\189(\177\138\181O\202\179\210\245\2189\227\189\251\255\255\255\255\255\255\188\251\245\222\244\218o\202F\165B\136\001\132 \132\0\128\0\128\0\128a\140s\206\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\155\247s\214\024\235k\185\198\1600\206\140\1851\206\231\160\140\181\140\181Z\239\189\2519\239\189\251\222\255\255\255\255\255\221\247\024\2271\198\197\152\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128c\140\140\177/\194\237\185\147\210\156\243\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\247\255\255\174\189C\148\017\206\017\202R\202\206\181\164\156!\140 \136A\136\164\148\164\152C\148\232\172t\210E\164M\201\181\218\222\243\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\255\181\218\034\140K\1811\2101\210\173\193K\185\008\177\166\164\132\160e\152e\152\133\152\199\160l\177\206\1851\198\247\222\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\222\251\255\255\255\255\255\255\255\251\255\255\254\251\154\247X\247V\247\144\230o\226\239\238\239\238\240\234\175\230\175\226\210\230\020\235\020\235\145\226\013\210\170\197\203\197\137\189H\181h\181H\177\015\194\205\189j\177\238\193\205\189(\165\139\177\205\185\140\177\173\181\173\181\140\177\173\181\016\194\239\189\140\177J\173k\177\173\185\139\181\237\193/\202P\202\236\189\137\189\169\193\136\193\136\193\168\201\167\201\134\201\134\205\134\201\134\201e\201\134\205\134\205d\201\133\205\133\209\133\209\132\209d\205d\201e\201f\201\135\201\168\205\170\209h\193\137\189\204\193\236\205\201\213\007\238\004\246\004\250\003\254\192\253\0\246#\242\195\225A\197)\214\198\213\231\229\229\225\195\213\163\221\164\245 \225\129\213\008\210\200\197\196\156\0\128 \132\006\169\203\201\012\214\199\217\009\230f\221\004\221\227\220\004\229\003\229\192\220\131\220\196\220\170\221a\156G\185d\205\192\196g\217\012\194\202\185\012\194\177\214\020\227\021\227q\202\023\227\190\251\255\255\255\255\254\255W\235\020\223\204\185 \132\0\128!\132A\136!\132\0\128\0\128\0\128\0\128B\136\015\194\156\243\255\255\255\255\255\255\255\255\255\255\255\251\255\255\255\251\255\255\255\255\255\255\255\255\221\251s\214\140\185\008\169\165\1561\206\172\189\230\164\139\1852\206\232\164t\214\222\251\222\251\255\255\255\255\255\255\254\255\180\214I\169c\140\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128a\136(\165\237\185/\194\016\194\247\222\189\247\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\157\247\142\189\134\160S\218\142\193\232\164\166\156\034\132!\128B\132 \128 \128\0\132\0\136\165\160T\210\010\185\201\180\149\214\221\243\255\255\255\255\255\251\255\255\255\255\255\255\255\255\255\255\255\255:\239l\181c\152\133\156d\152c\148\132\156\198\164)\173k\181\174\189\207\193\240\197\240\193\240\1931\198\149\210|\239\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\155\247y\247\021\235\177\230\209\234\018\243\208\230\018\239\019\239\019\239\243\230p\214\235\193\171\189\237\197\138\185I\181j\181I\177I\177\172\185\205\185\206\189\238\189\173\185\016\1981\202\015\194r\206\147\210s\206\148\210\181\214\148\210\181\214\181\214s\206\016\194S\206R\206Q\202\016\198\015\194\238\193\204\185i\173\139\181\139\181\138\181\139\185\204\193\171\193\138\189\137\185\137\193\136\193\136\189\169\197\168\197\135\197\168\201\168\201e\201e\201e\201f\201\134\201f\201e\201e\197e\205e\201f\201f\197e\205\131\217\228\245\002\254\224\245\224\245\0\254\0\250\004\246\230\229\133\201\232\209&\185%\181\233\197\166\201\131\213\130\233\129\237\162\237\199\205e\193\012\210\006\169\0\128\0\128\0\128 \144\197\160H\181\170\205,\234\201\241$\237\161\236\194\248\194\204F\217\137\205`\152\136\189#\189C\197\011\214\204\185\204\189q\2066\2317\231\147\210\016\194\248\222\255\255\255\255\255\255\247\222\204\185\196\148 \132\0\128!\132b\140 \132 \132B\136!\132\0\128\0\128\0\128\0\128)\165\214\218\188\247\155\243\156\243\255\255\255\255\255\255\255\255\255\255\255\255\222\255\214\222\173\185\132\152\231\164\008\169\007\169\214\226\180\218)\173Q\206\189\251:\239\190\251\255\255\255\255\255\255\189\247\214\218\139\177\132\144\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128 \132\0\128\0\128\131\144I\169\238\189\015\194/\198P\1989\231\156\243\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\2552\210\133\160\018\214\175\197\034\144\001\136!\136B\140\165\152\132\148\132\152\197\160\230\172J\189\149\214L\189\134\164S\206\156\235\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\255\247\226\207\193l\181\140\185\207\193\240\197\016\194\016\194\016\198\017\1982\202t\210\182\218\248\222Z\235\157\243\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\255\155\247X\243\020\235\209\226\017\235\241\234\018\2395\239\243\230N\210\013\198\237\193\138\177(\169j\177k\177\139\177\205\1851\198R\202\149\210\024\2239\2279\231Z\239Y\235{\239{\243{\243\189\251\189\251\189\247\222\251\222\251\222\251\222\251\189\247\156\243\156\243\189\247\156\243\156\243{\239Z\2398\231\246\222\213\218\247\218\248\218\214\214\181\210\148\2061\198\207\185\206\185\172\185\172\185\139\181\171\185\139\185i\181i\181i\181\170\193\169\193\137\193\136\197\136\197\168\201\136\201\135\201\232\221\232\221\165\217c\213\163\225\195\237$\254\001\254\0\254\001\250$\254\195\245\164\233\167\217g\197\168\205h\185\171\185i\177\135\185\197\213`\221\195\245\163\245C\213\165\229\133\229\201\225\228\176\0\128\197\156I\177 \128\0\128A\140\163\156\005\177\170\213\170\225\236\241\201\205\012\214\170\193\196\160N\210\135\193\200\193-\202\141\181R\2069\235\188\247{\243\180\214s\2069\2319\231t\206\008\161A\136\0\128\0\128!\132\001\128\0\128\0\128\0\128\0\128 \128!\132!\132\0\128\0\128\0\128\0\128\132\144\198\152c\140\140\177\189\247\255\255\255\255\255\255\255\255\255\2559\235\008\165\131\148s\210z\243\231\160c\144\147\214\221\255\156\247\189\251\222\255\255\255\255\255\222\251{\239R\202J\165!\132\0\128\0\128!\132\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128 \132\230\156\139\1770\1940\198\015\194r\206\024\227\188\247\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\215\226\134\156\174\193\174\193d\148\009\169\230\176)\185\206\201\016\202S\206u\2144\2064\206\141\185\134\160+\181S\206\155\235\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\222\2519\231t\2102\202S\206t\206\182\214\247\2229\231{\239\156\239\189\243\222\251\223\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\254\255\154\251y\247\021\235\019\2353\235T\2395\239\242\226/\202\171\185H\169(\169j\173\140\177\239\189S\202\148\210\214\2149\227\156\239\189\243\222\247\255\251\255\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\251\222\251\221\251\222\251\255\255\222\251\190\247\189\243{\235:\231:\2279\227\024\223\214\214\181\210s\206\016\194\015\194\238\189\206\185\172\181\139\177j\177j\181\138\185i\185i\185E\189\010\214\141\238l\242I\242\006\238\006\242\005\242(\254\230\233\199\225E\209E\205e\197d\193\201\205\167\201\201\209f\197\133\197\197\217\197\237\164\237\129\225\131\237b\241 \237b\233\010\234%\177@\136\139\169N\218\202\193\196\160\130\144\0\128\0\128\0\128b\136\194\152\228\160\196\152\197\156\205\193i\181\138\181\237\181\206\185\016\194\016\198\239\193\205\185\230\156\131\144b\140@\136@\136\230\156\172\181b\140\0\128\0\128\0\128!\132\0\128\0\128\0\128\0\128!\132!\132\0\128\0\128!\132\0\128\0\128c\140!\132A\136\007\1619\231\255\255\255\255\255\255\255\255\156\251\173\1851\202{\239\222\2510\198Q\202z\239\255\255\255\255\254\255\255\255\222\2559\231\239\193\199\156\0\128\0\128\0\128\001\132\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128A\136\007\161\236\185\015\194\015\1940\198\180\2109\231\189\247\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\251\255\255\025\231\166\156K\181\150\2222\206\149\218w\2144\206\019\202\175\193K\185)\185\166\176\132\168\232\160\134\156\175\193S\206\156\239\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\251\156\239\156\239\156\239\157\243\190\247\222\251\255\255\255\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\221\255\187\247w\247V\243\020\235U\243w\243\243\226/\202k\181I\169J\169\206\185S\202\182\214\024\223Z\231|\239\189\247\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\222\251\222\247\189\247|\239{\239{\2399\227\248\222\214\214\148\210s\206R\202\016\198\239\193\206\185\205\189\203\197\235\209\142\230\143\234\208\238\209\238\204\205\136\193g\177\170\181\176\226\137\230\195\213\198\209\198\217\007\226\163\221\195\225@\217\197\241\196\237\128\217\161\241@\233\130\249 \233\163\229*\226\004\165 \128E\189n\226\233\209\011\210\235\205i\185j\177\008\165\162\148a\136\0\128 \140\0\136\0\132\0\132!\128\0\128\0\128\0\128\0\128@\136a\140'\165\137\177\012\190\235\185\178\214\204\1850\198\015\194b\140\0\128\0\128A\136A\132\0\128\0\128!\132!\132A\136\0\128\0\128\0\128\0\128\0\128!\132!\132\0\128\165\148\189\251\255\255\255\255\255\255R\206k\181Z\243\255\255\255\255\222\251\222\251\222\251\255\255\255\255\255\255\247\222\173\181\165\148\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128 \128\164\148\138\173\238\189\014\194\015\194q\202\180\214Y\235\221\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\157\251\010\173D\152\175\197\174\197\010\177\198\172\133\168\133\164\132\160\133\160\232\168*\177l\185\207\189\017\198R\202\214\218\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\221\251\188\251\153\243w\247w\247\152\247\177\218\203\189H\169\008\165\141\1812\198\181\214:\231\189\243\222\251\223\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\254\255\254\255\221\251\189\251\189\247\156\243{\239Z\239[\2239\219\182\214R\206\015\198\138\181\139\181\173\181\141\173\205\181\237\185.\194\017\239h\246\194\229\164\217\167\209\230\209\162\209\197\237B\225\132\221\163\221\195\229@\237`\245\0\241a\253\129\245\130\229\200\221F\189\0\132&\173\014\210\203\205\137\197N\214o\214o\210/\206\204\181\229\156.\202\202\193\236\193\015\198j\173\014\194\146\210\179\214\245\222\179\218\178\214\178\218.\198\169\177-\194\203\185\236\189\245\222z\239X\235\138\177!\132\0\128\0\128\0\128\0\128\0\128\0\128!\132\0\128\0\128\0\128\0\128\0\128\0\128 \132\0\128\132\144\156\243\255\255\255\2559\235\231\160\148\218\222\255\255\255\255\255\255\255\255\255\255\255\156\243\181\214)\165c\140\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\001\128\0\128\0\128\0\128\0\128\0\128\0\128 \132\231\156\205\185\015\194\015\194\015\194\147\206\023\227\155\243\254\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\223\255\255\255\182\226\009\173\167\164\199\164\233\172*\169l\177\175\189\240\193\241\193\017\194\018\1943\198\017\198\149\210\214\218{\239\255\255\255\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\156\247\187\251\153\243\155\251\213\222\238\193(\169I\169\173\185t\206\215\218Z\235\190\247\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\251\255\251\223\247\157\243{\235\247\218\214\214\182\210\181\214:\231Z\239\144\222J\234\230\233K\238+\222\235\205\167\185K\206\011\226-\234\234\213\133\197\008\226\132\233c\233\165\245\132\241\034\225B\221e\221\168\229H\169\0\128A\136B\140\164\148\204\181\169\173+\186\022\2350\194\006\157\202\193e\185\202\189\014\194\137\177.\194\212\218\245\222\023\227Q\202\146\210\211\218/\202\013\194\203\185\203\185\212\218\181\2189\231\221\251\186\243\015\194\131\144\0\128 \132 \132\0\128\0\128!\132!\132 \132\0\128\0\128\0\128\0\128\0\128!\132\173\177\255\255\255\255\255\255\156\243\148\214\254\255\221\251\255\255\255\255\255\255{\239R\202\008\161B\136\0\128\0\128\0\128!\132\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128 \128\163\148i\169\014\194\015\194\238\1890\198\181\214Z\235\190\247\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\251\255\255\255\255\189\247\215\2222\206\240\1972\2061\194R\198S\202S\202\148\210\213\214\247\2189\227|\243\156\239\255\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\254\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\188\247\187\247x\239\017\198\009\165K\173\207\189\181\214Z\235{\239\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\254\255\255\255\255\255\255\255\223\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\254\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\253\255\254\255\255\255\255\255\255\255\222\251\255\255\191\251\252\255\223\251|\247\143\234\173\250\019\251x\239\236\177\236\193&\165\237\189\171\181\015\202\204\189\013\198.\206-\210\011\214\011\222\201\209\012\210o\226-\226\202\229/\218\013\206\195\160\129\140a\136\0\128\001\128$\132\198\164\165\144\198\152\012\206M\218\210\218q\202\013\190p\202\146\206Q\202\247\222R\202\148\214\213\222q\210\171\181H\1690\198\180\214\247\222\156\243\221\251\014\194B\136 \132 \128\0\128\0\128\0\128\0\128\0\128A\136 \132\0\128\0\128\0\128\0\128\0\128\0\128\016\190\255\255\222\251\255\255\222\251\255\255\255\255\255\255\222\251\024\227\207\189\198\152\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128A\136\230\156\172\181\014\194\014\194\238\189\146\210\023\227{\239\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\189\2479\231\247\222\214\218\024\2279\231{\239\156\243\189\247\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\222\251\024\227\239\189k\173\239\189\148\210Z\235\189\247\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\254\251{\239\214\218\016\194\172\181\238\189\171\181/\198\137\173/\198\147\2100\198\238\1890\198j\173\173\185\238\189\139\177\205\185\205\185\173\185\139\177\139\177\202\185\137\177\171\181q\202\014\194i\173\237\193H\173\164\148\0\128 \132\0\128\131\144\006\161\139\181r\210\144\210V\231\021\227\021\223\211\214\186\243\211\218\170\177G\169/\198\246\218[\235|\243\222\251\254\255X\231J\169 \132\0\128\0\128\001\128\001\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128!\132\0\128!\132\181\214\255\255\255\255\255\255\255\255\255\255\156\243\181\214J\169\132\144\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\130\144i\169\238\189\015\194\238\1891\198\148\210Z\235\156\243\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\222\251\222\251\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\156\243\247\222\214\2189\231\156\243\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\155\243\214\218Q\202Q\198\180\214q\206\146\210\146\210\179\214X\235\245\222X\2358\231\213\218Q\202r\206\213\218\213\218r\206\147\2100\198\015\194\170\181\204\189\179\214P\202\014\194.\198\014\198\178\218s\210I\169\147\210\139\177\229\156a\140 \132\0\128@\136\196\152\204\185\138\177\146\2108\231\138\177i\173\021\223\022\227Z\235\223\251\255\255\255\255\255\255\221\251{\243/\198\163\144\0\128\0\128\001\128\001\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128B\136\024\227\255\255\255\255\255\2559\231s\206)\165!\132!\132\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128 \132\230\156\205\185\237\185\014\1900\198s\206\246\222{\239\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\189\247\189\247\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\222\251Z\2359\231z\239\220\251y\235\021\223\244\218\022\227\179\214Y\235\155\243\221\251\220\251\146\210\179\214y\239\188\247\188\2478\231P\202\179\214Q\206\213\222\213\218\180\214\246\222\179\214\146\214\145\214j\177\139\181\253\2557\231\146\210\211\218\178\214\171\181\232\156\008\161\0\128 \128 \132\130\144 \132k\173\212\218\212\218Y\231\255\255\255\255\255\255\255\255\221\251\221\251\154\243\014\194A\136\001\132\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128 \132\165\148{\239\156\243\214\218\206\185\165\148!\132\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128 \132\131\144H\169\014\194\014\194\205\1850\198\181\2148\231\155\243\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\254\255\255\255\255\255\222\251\222\251\255\255\254\255\154\243.\194\212\218\153\243\014\1948\231\155\243\188\2478\231X\235\022\227\245\222\154\243\187\247X\235X\235\179\214\181\2189\231\148\210\023\227\023\227\179\214W\239\244\226\196\152\014\194\154\243W\235O\202p\206\145\210\145\210\149\214Z\235\146\210\178\214'\165@\136\197\152A\136\0\128 \132\197\152\174\181\148\210Z\235\189\247\255\255\255\255\254\255\212\218 \132\0\128\001\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128!\132\165\148\239\189J\169B\136\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128 \132 \132\230\156\171\181\015\194\014\194\237\189q\206\247\222Z\235\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\155\243\237\1896\227\021\2277\231\179\214X\2357\231\155\243\187\247\154\243\245\222\146\2107\231\187\247X\235\179\2149\235\214\218\214\218\247\222\213\218\022\227\245\226.\202\195\152\212\218X\239\145\210\236\189\177\214\021\227\021\227\015\194\022\227\178\210\144\210\003\157\145\210y\239\022\223r\206\139\177\165\148!\132\0\128 \132\164\148)\165R\202\146\210P\202\130\144!\132!\132\0\128\0\128\0\128\0\128!\132 \132\0\128\0\128\0\128!\132\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128b\140/\198q\206\014\194/\194\146\2108\231\156\247\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\220\251\178\214\211\218\022\227\154\243X\231/\198\246\222\188\247\154\243\154\2397\231\212\218\022\227X\235\245\222\187\2479\235\023\2279\2318\227\180\2147\2317\235\013\198H\169.\198\179\214O\202p\206\145\210\211\218\244\222O\202p\206O\202\168\177\177\214V\231\245\222\245\222\189\247\222\251\221\251{\239\181\214\206\185\231\156B\136\0\128 \132\129\144 \132!\132\0\128\0\128\0\128\0\128\0\128!\132\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128!\132!\132\0\128\0\128\0\128\0\128\006\161q\206\021\227y\239\221\251\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\254\255\220\247\204\185O\202\211\218\153\243\022\227X\235\022\227\245\2228\231X\235y\239\221\251\212\218/\198\213\2187\231y\243\154\243X\235\155\2438\231Y\239y\243\138\181i\173\237\189\146\210\178\214\178\214\245\222\021\227\178\214\211\218\012\190h\173\014\194\154\243\023\227\238\189s\206\156\243\255\255\222\251\221\251\221\247\222\251\222\251\156\243\213\218\014\194G\169@\136\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\001\132\0\128\131\144\146\210\220\251\254\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\254\255.\198i\173\211\218P\2027\231\187\247y\239\146\210Q\202\155\243\188\247\154\243\023\2278\2318\231\023\2276\231\021\2277\227\155\243X\231Y\235\212\222\006\165Q\206q\206q\206X\235\179\214\211\218\178\214.\198\210\214h\173/\198\213\218s\210\207\189\017\198\248\226\255\255\255\255\222\251\254\255\254\255\189\247\222\251\189\247\221\251\154\243\245\222\229\156\0\128\034\136\0\128 \132\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\001\128\034\136\0\128\0\128\013\194\220\247\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\211\214\170\177\179\214X\231\245\218\146\210q\206\153\239x\235\146\210X\235\154\239X\235\155\243Y\235\155\243\156\243\155\243{\2398\231q\202\245\2227\235\137\177\021\227\244\222\178\2146\231\013\194.\198\021\227\211\218\171\181\172\181\180\214\247\222\024\227\248\222\024\227\188\247\255\255\255\255\255\255\255\255\255\255\254\255\254\255\254\255\219\251\154\243\244\222I\169A\136!\132\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\001\128\001\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128!\132\0\128\0\128\0\128'\165y\239\252\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\244\218p\206\146\210\245\222\154\243z\239q\206\245\222\187\247y\239\179\214\179\210\187\247\155\243\254\255\254\255\254\255\221\251\188\247\220\251\022\227\153\243\211\218\203\1856\231\146\210\014\194\145\210\211\218\210\218\178\214G\169\237\189q\202\023\227{\239\222\251\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\254\255\254\255\186\243\146\210H\169a\136\0\128 \128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128 \132b\140c\140A\136\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128!\132\0\128b\140\021\223\254\255\222\251\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\212\218\179\2108\231\180\214Y\235\220\251y\239\146\2107\231\187\247\245\222\213\218\022\227Y\235\221\251\255\255\254\255\254\255\253\255\220\251\178\210\244\222\137\177-\198P\202\237\189\172\181q\206O\202.\198\013\194\236\189\022\223\023\227{\239\189\247\255\255\255\255\255\255\255\255\255\255\255\255\255\255\254\255\255\255\255\255z\239\180\214(\165\131\144\0\128\0\128\0\128\0\128\0\128\0\128\001\128\0\128\0\128\0\128\0\128\0\128\0\128 \132\230\156j\173\015\190\015\194\139\177\197\152 \132\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128 \1320\198\254\251\255\255\254\255\255\255\255\255\254\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\179\214\146\206z\239{\243\214\218\155\243\254\255\154\243\179\214P\202y\239\155\243\023\227\246\222Y\235\221\251\254\255\253\255\154\2397\231\145\206\021\227h\173\243\222\180\214\246\222\015\194/\198\179\218/\198\177\214W\235y\239\180\214{\239\255\255\255\255\255\255\255\255\255\255\255\255\255\255\254\255\254\255z\239r\206\007\161 \132\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128a\140'\165\204\185\238\189\014\1940\198r\206\180\214\146\206j\173@\132\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128H\169\155\243\255\255\254\255\254\255\255\255\254\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255y\239\015\194Y\235\254\255\155\243\214\222\154\243\253\255\021\223P\2027\231\154\239\188\247\155\243\023\227\147\210\245\2228\231\187\243y\239\021\2236\231\202\1855\231\213\222r\210\205\185\146\214P\202\171\181\021\227\021\227\180\214Q\202z\239\255\255\255\255\255\255\255\255\254\255\255\255\254\255z\2390\198\197\152 \128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\001\128\0\128 \132\197\152\139\177\238\189\014\194\014\1940\198\180\2108\231z\239\155\243z\239\246\2180\198b\140\0\128\0\128!\132\0\128\0\128\0\128\001\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\0\128\164\1488\227\254\255\254\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\220\251\146\210\246\222\221\251\254\255\154\243\245\222X\231x\235\154\243\179\214X\231\253\255z\239\023\2278\231\213\2188\231\221\251\154\243\244\222\244\222O\2025\231P\202p\206q\206q\206O\202\179\218O\202O\202\014\194\179\210{\239\222\251\255\255\255\255\255\255\189\247\155\2431\198\197\152!\132!\132A\136A\136A\136A\136 \132!\132!\132!\132A\132B\136B\136B\136\231\156\206\1851\1980\198/\194\146\206\246\222\188\247\188\247\254\251\255\255\255\255\254\255\189\247z\239\181\214k\173B\136!\132B\136c\140B\136\034\132A\136!\132B\136B\136\034\132!\132!\132b\136A\136A\136 \132B\136\147\210\255\255\254\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255"

theballImage = image.new(ballImage)
theguyImage = image.new(guyImage)
theLogoImage = image.new(logoImage)
